<?php
/**
 * @link http://www.yiiframework.com/
 * @copyright Copyright (c) 2008 Yii Software LLC
 * @license http://www.yiiframework.com/license/
 */

namespace app\assets;

use app\components\metronic\bundles\AdminThemeAsset;
use app\components\metronic\bundles\globa\plugins\BootboxAsset;
use app\components\metronic\bundles\globa\plugins\GrowlAsset;
use yii\web\AssetBundle;

/**
 * Class AppAsset
 */
class AppAsset extends AssetBundle
{
    /* @inheritdoc */
    public $css = [
        'css/app.css',
    ];

    /* @inheritdoc */
    public $js = [
        'js/app.js',
    ];

    /* @inheritdoc */
    public $depends = [
        GrowlAsset::class,
        BootboxAsset::class,
        BootstrapDialogAsset::class,
        AdminThemeAsset::class,
    ];

    /* @inheritdoc */
    public function init()
    {
        if (YII_DEBUG) {
            $this->publishOptions['forceCopy'] = true;
        }

        $this->sourcePath = __DIR__ . '/app';

        parent::init();
    }
}
