<?php
/**
 * @link http://www.yiiframework.com/
 * @copyright Copyright (c) 2008 Yii Software LLC
 * @license http://www.yiiframework.com/license/
 */

namespace app\assets;

use kartik\form\ActiveFormAsset;
use kartik\select2\Select2Asset;
use yii\web\AssetBundle;

/**
 * Class EntityAsset
 */
class EntityAsset extends AssetBundle
{
    /* @inheritdoc */
    public $css = [
        'css/entity.css',
    ];

    /* @inheritdoc */
    public $js = [
        'js/entity.js',
    ];

    /* @inheritdoc */
    public $depends = [
        ActiveFormAsset::class,
        Select2Asset::class,
    ];

    /* @inheritdoc */
    public function init()
    {
        if (YII_DEBUG) {
            $this->publishOptions['forceCopy'] = true;
        }

        $this->sourcePath = __DIR__ . '/entity';
        parent::init();
    }
}