jQuery(document).ready(function () {
    function blockUI() {
        App.blockUI({target: ".row-select-zones", animate: !0});
    }

    function unblockUI() {
        App.unblockUI(".row-select-zones");
    }

    $('#participant-id_zone1').on('change', function () {
        blockUI();
        $.ajax({
            url: '/zone/zone2?id_zone1=' + $(this).val()
        })
            .done(function (result) {
                var selectZone2 = $('#participant-id_zone2');

                selectZone2.empty();
                selectZone2.append('<option></option>');
                $.each(result, function (index, value) {
                    selectZone2.append('<option value="' + index + '">' + value + '</option>');
                });

                selectZone2.trigger('change');
            })
            .always(function () {
                unblockUI();
            });
    });

    $('#participant-id_zone2').on('change', function (e) {
        e.preventDefault();
        blockUI();
        $.ajax({
            url: '/zone/zone3?id_zone2=' + $(this).val()
        })
            .done(function (result) {
                var selectZone3 = $('#participant-id_zone3');
                selectZone3.empty();

                if (Object.keys(result).length > 0) {
                    selectZone3.append('<option></option>');
                    $.each(result, function (index, value) {
                        selectZone3.append('<option value="' + index + '">' + value + '</option>');
                    });

                    $('.row-select-zone3').show();
                }
                else {
                    $('.row-select-zone3').hide();
                }
            })
            .always(function () {
                unblockUI();
            });
    });

    $('#participant-nickname').on('focus', function (e) {
        if (!$(this).val()) {
            var name = $('#participant-name').val();

            if (name) {
                arr = name.split(' ');
                fisrtName = arr[0];
                lastName = arr[arr.length - 1];

                $(this).val(fisrtName + ' ' + ((fisrtName != lastName) ? lastName : ''))

            }
        }
    });

    $('#participant-dietary_restriction').on('switchChange.bootstrapSwitch', function (event, state) {
        var $drInputs = $('.dietary-restriction-item');

        if (state === true) {
            $drInputs.show();
        } else {
            $drInputs.hide();
        }
    });

    $('#participant-image_rights_file').on('change', function () {
        var filename = $(this).val().replace(/^.*[\\\/]/, '');
        $('#participant-image_rights_upload').val(filename).trigger('change');
    });
});
