<?php

namespace app\components\metronic;

use yii\base\Application;
use yii\base\BootstrapInterface;
use yii\helpers\ArrayHelper;
use yii\web\Application as WebApplication;

/**
 * Class Bootstrap
 */
class Bootstrap implements BootstrapInterface
{
    /**
     * Bootstrap method to be called during application bootstrap stage.
     *
     * @param Application $app the application currently running
     */
    public function bootstrap($app)
    {
        if ($app->hasModule('metronic') && $app->getModule('metronic') instanceof Metronic && $app instanceof WebApplication) {
//            $app->getErrorHandler()->errorAction = '/metronic/error/errorhandler';
            $app->layoutPath = __DIR__ . '/views/layouts';

            if ($app->hasModule('user')) {
                $user = $app->getModule('user');

                $className = isset($user->controllerMap['security']['class']) ? $user->controllerMap['security']['class'] : 'dektrium\user\controllers\SecurityController';
                $user->controllerMap = ArrayHelper::merge(
                    $user->controllerMap,
                    [
                        'security' => [
                            'class' => $className,
                            'layout' => '/login',
                        ],
                    ]
                );
            }
        }
    }
}
