<?php

namespace app\components\metronic;

use Yii;
use yii\helpers\ArrayHelper;
use yii\web\AssetBundle;

/**
 * Class MetronicBaseAsset
 */
class MetronicBaseAsset extends AssetBundle
{
    /* @inheritdoc */
    public $css = [
        'global/css/components-rounded.min.css',
        'global/css/plugins.min.css',
        'global/plugins/simple-line-icons/simple-line-icons.min.css',
    ];

    /* @inheritdoc */
    public $js = [
        'global/plugins/bootstrap-hover-dropdown/bootstrap-hover-dropdown.min.js',
        'global/plugins/jquery-slimscroll/jquery.slimscroll.min.js',
        'global/plugins/jquery.blockui.min.js',
        'global/scripts/app.min.js',
        'layouts/global/scripts/quick-sidebar.min.js',
        'global/plugins/js.cookie.min.js',
    ];

    /* @inheritdoc */
    public $depends = [
        'yii\web\JqueryAsset',
        'yii\web\YiiAsset',
        'yii\bootstrap\BootstrapPluginAsset',
        'rmrevin\yii\fontawesome\AssetBundle',
    ];

    /* @inheritdoc */
    public function init()
    {
        $this->sourcePath = \Yii::$app->basePath . '/metronic/theme/assets';

        parent::init();

        if (YII_DEBUG) {
            $this->css[] = 'webfonts/webfonts.css';
        } else {
            $this->css[] = '//fonts.googleapis.com/css?family=Open+Sans:400,300,600,700&subset=all';
        }
    }

    /* @inheritdoc */
    public function publish($assetManager)
    {
        parent::publish($assetManager);

        $url = $this->baseUrl;
        Yii::$app->params['metronicUrl'] = $url;
        $assetManager->assetMap = ArrayHelper::merge($assetManager->assetMap, [
            'bootstrap-switch.css' => "{$url}/global/plugins/bootstrap-switch/css/bootstrap-switch.min.css",
            'bootstrap-switch.js' => "{$url}/global/plugins/bootstrap-switch/js/bootstrap-switch.min.js",
//            'select2.css' => "{$url}/global/plugins/select2/css/select2.min.css",
//            'select2.min.css' => "{$url}/global/plugins/select2/css/select2.min.css",
//            'select2-bootstrap.css' => "{$url}/global/plugins/select2/css/select2-bootstrap.min.css",
//            'select2-bootstrap.min.css' => "{$url}/global/plugins/select2/css/select2-bootstrap.min.css",
//            'select2.full.js' => "{$url}/global/plugins/select2/js/select2.full.min.js",
//            'select2.full.min.js' => "{$url}/global/plugins/select2/js/select2.full.min.js",
        ]);
    }
}
