<?php

namespace app\components\metronic\components;

use Yii;
use yii\web\HttpException;

/**
 * Class ErrorAction
 */
class ErrorAction extends \yii\web\ErrorAction
{
    /**
     * @inheritdoc
     */
    public function run()
    {
        if (($exception = Yii::$app->getErrorHandler()->exception) !== null) {
            if ($exception instanceof HttpException) {
                $code = $exception->statusCode;
            } else {
                $code = $exception->getCode();
            }

            switch ($code) {
                case '400':
                case '403':
                case '404':
                case '405':
                    $view = $code;
                    break;
                default:
                    $view = 'index';
            }

            $this->view = $view;
        }

        return parent::run();
    }
}
