<?php

/* @var $this \yii\web\View */

/**
 * <!-- DOC: Apply "page-sidebar-menu-light" class right after "page-sidebar-menu" to enable light sidebar menu style(without borders) -->
 * <!-- DOC: Apply "page-sidebar-menu-hover-submenu" class right after "page-sidebar-menu" to enable hoverable(hover vs accordion) sub menu mode -->
 * <!-- DOC: Apply "page-sidebar-menu-closed" class right after "page-sidebar-menu" to collapse("page-sidebar-closed" class must be applied to the body element) the sidebar sub
 * menu mode -->
 * <!-- DOC: Set data-auto-scroll="false" to disable the sidebar from auto scrolling/focusing -->
 * <!-- DOC: Set data-keep-expand="true" to keep the submenues expanded -->
 * <!-- DOC: Set data-auto-speed="200" to adjust the sub menu slide up/down speed -->
 */

?>
<div class="page-sidebar navbar-collapse collapse">
    <ul id="menu-barra-lateral" class="page-sidebar-menu  page-header-fixed " data-keep-expanded="false" data-auto-scroll="true" data-slide-speed="200" style="padding-top: 20px">

        <?php if (Yii::$app->user->can('admin') || Yii::$app->user->can('assistant')): ?>

            <li class="heading heading-first">
                <h3 class="uppercase"><?= Yii::t('app', 'Administração') ?></h3>
            </li>

        <?php endif; ?>

        <?php if (Yii::$app->user->can('admin')) : ?>

            <li class="nav-item">
                <a href="javascript:;" class="nav-link nav-toggle">
                    <i class="fa fa-table"></i><span class="title"><?= Yii::t('app', 'Tabelas Gerais') ?></span><span class="arrow"></span>
                </a>
                <ul class="sub-menu">
                    <li class="nav-item"><a href="/nationality/index" class="nav-link "><span class="title"><?= Yii::t('app', 'Nacionalidades') ?></span></a></li>
                    <li class="nav-item"><a href="/document-type/index" class="nav-link "><span class="title"><?= Yii::t('app', 'Tipo Documentos') ?></span></a></li>
                    <li class="nav-item"><a href="/zone1/index" class="nav-link "><span class="title"><?= Yii::t('app', 'Distritos') ?></span></a></li>
                    <li class="nav-item"><a href="/zone2/index" class="nav-link "><span class="title"><?= Yii::t('app', 'Concelhos') ?></span></a></li>
                    <li class="nav-item"><a href="/zone3/index" class="nav-link "><span class="title"><?= Yii::t('app', 'Freguesias') ?></span></a></li>
                    <li class="nav-item"><a href="/organization-region/index" class="nav-link "><span class="title"><?= Yii::t('app', 'Região da Organização') ?></span></a></li>
                    <li class="nav-item"><a href="/education/index" class="nav-link "><span class="title"><?= Yii::t('app', 'Habilitações Escolares') ?></span></a></li>
                    <li class="nav-item"><a href="/vocation-skill-type/index" class="nav-link "><span class="title"><?= Yii::t('app', 'Tipo Formação Profissional') ?></span></a></li>
                    <li class="nav-item"><a href="/event-kind/index" class="nav-link "><span class="title"><?= Yii::t('app', 'Tipo de Eventos') ?></span></a></li>
                    <li class="nav-item"><a href="/skill/index" class="nav-link "><span class="title"><?= Yii::t('app', 'Profissões') ?></span></a></li>
                    <li class="nav-item"><a href="/cluster/index" class="nav-link "><span class="title"><?= Yii::t('app', 'Clusters') ?></span></a></li>
                    <li class="nav-item"><a href="/entity-scope/index" class="nav-link "><span class="title"><?= Yii::t('app', 'Tipo de Entidade') ?></span></a></li>
                </ul>
            </li>

        <?php endif; ?>

        <?php if (Yii::$app->user->can('admin') || Yii::$app->user->can('assistant')) : ?>

            <li class="nav-item">
                <a href="javascript:;" class="nav-link nav-toggle">
                    <i class="fa fa-building-o"></i><span class="title"><?= Yii::t('app', 'Entidades') ?></span><span class="arrow"></span>
                </a>
                <ul class="sub-menu">
                    <li class="nav-item"><a href="/entity/index" class="nav-link "><span class="title"><?= Yii::t('app', 'Gerir Entidades') ?></span></a></li>
                </ul>
            </li>

            <li class="nav-item">
                <a href="javascript:;" class="nav-link nav-toggle">
                    <i class="fa fa-child"></i><span class="title"><?= Yii::t('app', 'Participantes') ?></span><span class="arrow"></span>
                </a>
                <ul class="sub-menu">
                    <li class="nav-item"><a href="/participant/index" class="nav-link "><span class="title"><?= Yii::t('app', 'Gerir Participantes') ?></span></a></li>
                    <?php if (Yii::$app->user->can('admin')) : ?>

                        <li class="nav-item"><a href="/login/index" class="nav-link "><span class="title"><?= Yii::t('app', 'Gerir Logins de Acesso') ?></span></a></li>

                    <?php endif; ?>
                </ul>
            </li>

        <?php endif; ?>

        <?php if (Yii::$app->user->can('admin')) : ?>

            <li class="nav-item">
                <a href="javascript:;" class="nav-link nav-toggle">
                    <i class="fa fa-refresh"></i><span class="title"><?= Yii::t('app', 'Ciclos') ?></span><span class="arrow"></span>
                </a>
                <ul class="sub-menu">
                    <li class="nav-item"><a href="/cycle/index" class="nav-link "><span class="title"><?= Yii::t('app', 'Gerir Ciclos') ?></span></a></li>
                </ul>
            </li>

        <?php endif; ?>

        <?php if (Yii::$app->user->can('admin') || Yii::$app->user->can('assistant')): ?>

            <li class="nav-item">
                <a href="javascript:;" class="nav-link nav-toggle">
                    <i class="icon-paper-plane"></i><span class="title"><?= Yii::t('app', 'Eventos') ?></span><span class="arrow"></span>
                </a>
                <ul class="sub-menu">

                    <?php if (Yii::$app->user->can('admin')) : ?>

                        <li class="nav-item"><a href="/event/index" class="nav-link "><span class="title"><?= Yii::t('app', 'Gerir Eventos') ?></span></a></li>

                    <?php endif; ?>

                    <li class="nav-item"><a href="/venue-section/index" class="nav-link "><span class="title"><?= Yii::t('app', 'Gerir Eventos/Secções') ?></span></a></li>
                    <li class="nav-item"><a href="/event-skill/index" class="nav-link "><span class="title"><?= Yii::t('app', 'Gerir Eventos/Profissões') ?></span></a></li>
                    <li class="nav-item">
                        <a href="/event-participant/index" class="nav-link "><span class="title"><?= Yii::t('app', 'Gerir Eventos/Participantes') ?></span></a>
                    </li>
                    <li class="nav-item">
                        <a href="/event-participant/index-view" class="nav-link "><span class="title"><?= Yii::t('app', 'Visualizar Eventos/Participantes') ?></span></a>
                    </li>

                    <?php if (Yii::$app->user->can('admin')) : ?>

                        <li class="nav-item"><a href="/access-manager/index" class="nav-link "><span class="title"><?= Yii::t('app', 'Gestão de Acessos') ?></span></a></li>

                    <?php endif; ?>

                </ul>
            </li>

        <?php endif; ?>

        <?php if (Yii::$app->user->identity->participant->isPlatformManager) : ?>

            <li class="heading">
                <h3 class="uppercase"><?= Yii::t('app', 'Gestor Plataforma') ?></h3>
            </li>

            <?php
            /*
            <li class="nav-item">
                <a href="javascript:;" class="nav-link nav-toggle">
                    <i class="fa fa-user"></i><span class="title"><?= Yii::t('app', 'Dados da Entidade') ?></span><span class="arrow"></span>
                </a>
                <ul class="sub-menu">
                    <li class="nav-item"><a href="/platform-manager/entities" class="nav-link "><span class="title"><?= Yii::t('app', 'Entidades') ?></span></a></li>
                </ul>
            </li>
            */
            ?>


            <li class="nav-item">
                <a href="javascript:;" class="nav-link nav-toggle">
                    <i class="fa fa-user"></i><span class="title"><?= Yii::t('app', 'Dados de Participantes') ?></span><span class="arrow"></span>
                </a>
                <ul class="sub-menu">
                    <li class="nav-item"><a href="/platform-manager/participants" class="nav-link "><span class="title"><?= Yii::t('app', 'Participantes') ?></span></a></li>
                </ul>
            </li>

        <?php endif; ?>

        <li class="heading">
            <h3 class="uppercase"><?= Yii::t('app', 'Participante') ?></h3>
        </li>

        <li class="nav-item">
            <a href="javascript:;" class="nav-link nav-toggle">
                <i class="fa fa-user"></i><span class="title"><?= Yii::t('app', 'Dados do Participante') ?></span><span class="arrow"></span>
            </a>
            <ul class="sub-menu">
                <li class="nav-item"><a href="/participant-profile/index" class="nav-link "><span class="title"><?= Yii::t('app', 'Participante') ?></span></a></li>
            </ul>
        </li>

        <li class="nav-item">
            <a href="javascript:;" class="nav-link nav-toggle">
                <i class="fa fa-key"></i><span class="title"><?= Yii::t('app', 'Password') ?></span><span class="arrow"></span>
            </a>
            <ul class="sub-menu">
                <li class="nav-item"><a href="/participant-profile/password" class="nav-link "><span class="title"><?= Yii::t('app', 'Alterar Password') ?></span></a></li>
            </ul>
        </li>
    </ul>
    <!-- END SIDEBAR MENU -->
</div>
