<?php

use app\components\metronic\MetronicAsset;
use app\components\widgets\Alert;
use kartik\helpers\Html;

/**
 * @var string $content
 */

MetronicAsset::register($this);

?>
<?php $this->beginPage() ?>
<!DOCTYPE html>
<!--[if IE 8]>
<html lang="<?= Yii::$app->language ?>" class="ie8 no-js"><![endif]-->
<!--[if IE 9]>
<html lang="<?= Yii::$app->language ?>" class="ie9 no-js"><![endif]-->
<!--[if !IE]><!-->
<html lang="<?= Yii::$app->language ?>">
<!--<![endif]-->
<!-- BEGIN HEAD -->

<head>
    <meta charset="<?= Yii::$app->charset ?>">
    <?= Html::csrfMetaTags() ?>
    <title><?= $this->title ?></title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta content="width=device-width, initial-scale=1" name="viewport" />

    <!-- BEGIN PAGE HEAD -->
    <?= $this->render('_pageHead') ?>
    <!-- END PAGE HEAD -->

    <?php $this->head() ?>

    <style>
        .login .logo {
  margin: 0 auto;
  margin-top: 20px;
  margin-bottom: 20px;
  padding: 0px;
  text-align: center; }

        </style>
</head>
<!-- END HEAD -->

<body class="login">

<?php $this->beginBody() ?>

<!-- BEGIN LOGO -->
<div class="logo">
      <img src="/img/logo-sm.png" alt="World Skills Portugal" />
</div>
<!-- END LOGO -->

<!-- BEGIN LOGIN -->
<div class="content" id="content-login">

    <!-- BEGIN CONTENT -->
    <?= Alert::widget() ?>
    <?= $content ?>
    <!-- END CONTENT -->

</div>
<div class="copyright"> <?= date('Y') ?> &copy; <?= Yii::$app->name ?></div>
<?php $this->endBody() ?>

</body>

</html>
<?php $this->endPage() ?>

