<?php

use app\assets\AppAsset;
use app\components\widgets\Alert;
use kartik\helpers\Html;
use yii\web\View;

/* @var $this View */
/* @var $content string */

AppAsset::register($this);

$requestedRoute = \Yii::$app->requestedRoute;

$js = <<<JS
    $('a[href="/{$requestedRoute}"]').parents("ul.sub-menu").parent().addClass("active open");
    $('a[href="/{$requestedRoute}"]').parents("ul.sub-menu").parent().children('a').append('<span class="selected"></span>');
    $('a[href="/{$requestedRoute}"]').parents("ul.sub-menu").parent().find('span[class="arrow"]').first().addClass('open');
    $('a[href="/{$requestedRoute}"]').parent("li").addClass('active open');
JS;

$this->registerJs($js);
?>
<?php $this->beginPage() ?>
<!DOCTYPE html>
<!--[if IE 8]>
<html lang="<?= Yii::$app->language ?>" class="ie8 no-js"><![endif]-->
<!--[if IE 9]>
<html lang="<?= Yii::$app->language ?>" class="ie9 no-js"> <![endif]-->
<!--[if !IE]><!-->
<html lang="<?= Yii::$app->language ?>"><!--<![endif]-->

<!-- BEGIN HEAD -->
<head>
    <meta charset="<?= Yii::$app->charset ?>">
    <?= Html::csrfMetaTags() ?>
    <title><?= $this->title ? Html::encode($this->title) . ' - ' : '' ?>SigSkills</title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta content="width=device-width, initial-scale=1" name="viewport"/>

    <!-- BEGIN PAGE HEAD -->
    <?= $this->render('_pageHead') ?>
    <!-- END PAGE HEAD -->

    <?php $this->head() ?>
</head>
<!-- END HEAD -->

<body class="page-header-fixed page-sidebar-closed-hide-logo page-container-bg-solid">

<?php $this->beginBody() ?>

<!-- BEGIN HEADER -->
<div id="bar-fixed-top" class="page-header navbar navbar-fixed-top">

    <!-- BEGIN HEADER INNER -->
    <div class="page-header-inner row">

        <div class="col-md-4 col-xs-12">
            <!-- BEGIN LOGO -->
            <div class="page-logo">
                <a href="/">
                    <img src="/img/logo-sm.png" alt="logo" id="img-logo-default" class="logo-default"/>
                </a>

                <div id="sidebar-menu-toggler" class="menu-toggler sidebar-toggler">
                    <span></span>
                </div>
            </div>

            <!-- BEGIN RESPONSIVE MENU TOGGLER -->
            <a href="javascript:;" class="menu-toggler responsive-toggler" data-toggle="collapse" data-target=".navbar-collapse">
                <span></span>
            </a>
            <!-- END RESPONSIVE MENU TOGGLER -->
        </div><!-- END LOGO -->

        <div class="col-md-4 col-actions hidden-sm hidden-xs">
            <!-- BEGIN PAGE ACTIONS -->
            <?= $this->render('_pageActions', []) ?>
            <!-- END PAGE ACTIONS -->
        </div>

        <div id="col-page-top" class="col-md-4 col-xs-12">
            <!-- BEGIN PAGE TOP -->
            <?= $this->render('_pageTop') ?>
            <!-- END PAGE TOP -->
        </div>
    </div>
    <!-- END HEADER INNER -->

</div>
<!-- END HEADER -->

<!-- BEGIN HEADER & CONTENT DIVIDER -->
<div class="clearfix"></div>
<!-- END HEADER & CONTENT DIVIDER -->

<!-- BEGIN CONTAINER -->
<div class="page-container">

    <!-- BEGIN SIDEBAR -->
    <div class="page-sidebar-wrapper">
        <div class="page-sidebar navbar-collapse collapse">
            <!-- BEGIN SIDEBAR MENU -->
            <?php echo $this->render('_sidebarMenu') ?>
            <!-- END SIDEBAR MENU -->
        </div>
        <!-- END SIDEBAR -->

    </div>
    <!-- END SIDEBAR -->

    <!-- BEGIN CONTENT -->
    <div class="page-content-wrapper">
        <!-- BEGIN CONTENT BODY -->
        <div class="page-content">
            <!-- BEGIN PAGE HEADER-->

            <?php if (!empty($this->title)) : ?>
                <h3 class="page-title">
                    <?php
                    echo Html::encode($this->title);
                    if (isset($this->params['subtitle'])) {
                        echo " <small>{$this->params['subtitle']}</small>";
                    }
                    ?>
                </h3>
            <?php endif; ?>

            <?php
            /*
            <!-- BEGIN PAGE BAR -->
            <?= $this->render('_pageBar', []) ?>
            <!-- END PAGE BAR -->
            */
            ?>

            <!-- END PAGE HEADER-->

            <!-- BEGIN CONTENT -->
            <?= Alert::widget() ?>
            <?= $content ?>
            <!-- END CONTENT -->

        </div>
        <!-- END CONTENT BODY -->
    </div>
    <!-- END CONTENT -->

    <?php
    /*
    <!-- BEGIN QUICK SIDEBAR -->
    <?= $this->render('_quickSidebar', []) ?>
    <!-- END QUICK SIDEBAR -->
     */
    ?>
</div>
<!-- END CONTAINER -->

<!-- BEGIN FOOTER -->
<div class="page-footer">
    <div class="page-footer-inner"> &copy;<?= date('Y') . ' ' . Yii::$app->name ?>
    </div>
    <div class="scroll-to-top">
        <i class="icon-arrow-up"></i>
    </div>
</div>
<!-- END FOOTER -->

<?php $this->endBody(); ?>
</body>
</html>
<?php $this->endPage() ?>
