<?php

use app\models\LoginForm;
use dektrium\user\models\RecoveryForm;
use kartik\form\ActiveForm;
use kartik\helpers\Html;

/** @var LoginForm $modelLogin */
$modelLogin = $modelLogin ?? Yii::createObject(LoginForm::className());

/** @var RecoveryForm $modelRecovery */
$modelRecovery = $modelRecovery ?? Yii::createObject(['class' => RecoveryForm::className(), 'scenario' => 'request']);

/** @var \dektrium\user\Module $module */
$module = Yii::$app->getModule('user');
?>

<!-- BEGIN LOGIN FORM -->
<?php
$form = ActiveForm::begin() ?>

<h3 class="form-title font-green"><?= Yii::t('app', 'Entrar') ?></h3>

<div class="alert alert-danger display-hide">
    <button class="close" data-close="alert"></button>
    <span> <?= Yii::t('app', 'Informe o usuário e a senha.') ?></span>
</div>

<?php if ($module->debug) : ?>
    <?= $form->field($modelLogin, 'username', [
        'inputOptions' => [
            'autofocus' => 'autofocus',
            'class' => 'form-control',
            'tabindex' => '1',
        ],
    ])->textInput();
    ?>

<?php else : ?>

    <?= $form->field($modelLogin, 'username')
        ->textInput(['placeholder' => Yii::t('app', 'Email do utilizador'), 'class' => 'form-control-solid placeholder-no-fix'])
        ->label(null, ['class' => ' visible-ie8 visible-ie9']) ?>
<?php endif; ?>

<?php if ($module->debug) : ?>
    <div class="alert alert-warning">
        <?= Yii::t('user', 'Password is not necessary because the module is in DEBUG mode.'); ?>
    </div>
<?php else : ?>
    <?= $form->field($modelLogin, 'password')
        ->passwordInput(['placeholder' => Yii::t('app', 'Password'), 'class' => 'form-control-solid placeholder-no-fix'])
        ->label(null, ['class' => ' visible-ie8 visible-ie9']) ?>
<?php endif; ?>

<?php
/*
<?= $form->field($modelLogin, 'rememberMe')->checkbox([
    'container' => false,
    'label' => $modelLogin->getAttributeLabel('rememberMe') . '<span></span>',
    'labelOptions' => ['class' => 'rememberme check mt-checkbox mt-checkbox-outline'],
]) ?>

<div class="form-group clearfix">
    <?= Html::submitButton(Yii::t('user', 'Sign in'), ['class' => 'btn green uppercase botao-login btn-block ladda-button', 'data-style' => 'zoom-in']) ?>
    <a href="javascript:" id="forget-password" class="forget-password">Recuperar a password</a>
</div>
 */
/*
<div class="login-options">
        <h4>Or login with</h4>
        <ul class="social-icons">
            <li>
                <a class="social-icon-color facebook" data-original-title="facebook" href="javascript:;"></a>
            </li>
            <li>
                <a class="social-icon-color twitter" data-original-title="Twitter" href="javascript:;"></a>
            </li>
            <li>
                <a class="social-icon-color googleplus" data-original-title="Goole Plus" href="javascript:;"></a>
            </li>
            <li>
                <a class="social-icon-color linkedin" data-original-title="Linkedin" href="javascript:;"></a>
            </li>
        </ul>
    </div>

?>
<?php if ($module->enableRegistration === true) {
    ?>
    <div class="create-account">
        <p>
            <span class="font-grey-salsa">Ainda não tem conta no MercadoLead?</span><br>
            <?php echo Html::a(Yii::t('user', 'Sign up'), ['/user/registration/register'], ['class' => 'uppercase']); ?>
        </p>
    </div>
    <?php
} ?>
<?php ActiveForm::end(); ?>
<!-- END LOGIN FORM -->

<!-- BEGIN FORGOT PASSWORD FORM -->
<?php $form = ActiveForm::begin([
    'id' => 'password-recovery-form',
    'action' => Url::to(['/user/recovery/request']),
    'enableAjaxValidation' => true,
    'options' => [
        'class' => 'forget-form',
        'style' => Yii::$app->controller->id === 'recovery' ? '' : 'display: none;',
    ],
]); ?>

<h3 class="font-green">Recuperar a password</h3>
<p> <?= Yii::t('app', 'Informe o e-mail cadastrado para recuperar a senha.') ?></p>

<?= $form->field($modelRecovery, 'email')
    ->textInput(['placeholder' => 'Email', 'class' => 'form-control-solid placeholder-no-fix'])
    ->label(null, ['class' => ' visible-ie8 visible-ie9']) ?>
*/
?>

<div class="form-actions">
    <button type="button" id="back-btn" class="btn green btn-outline">Voltar</button>
    <?= Html::submitButton(Yii::t('user', 'Continuar'), ['class' => 'btn btn-success green uppercase pull-right ladda-button', 'data-style' => 'zoom-in']) ?><br>
</div>
<?php ActiveForm::end(); ?>
