<?php

namespace app\components\metronic\widgets;

use yii\base\Widget;
use yii\helpers\Html;

/**
 * Class Badge
 */
class Badge extends Widget
{
    const TYPE_DEFAULT = 'default';
    const TYPE_GRAY = 'default';
    const TYPE_PRIMARY = 'primary';
    const TYPE_INFO = 'info';
    const TYPE_SUCCESS = 'success';
    const TYPE_DANGER = 'danger';
    const TYPE_WARNING = 'warning';

    /* @var string */
    public $label;

    /* @var string */
    public $type = self::TYPE_DEFAULT;

    /* @var bool */
    public $round = true;

    /* @var array */
    public $options = [];

    /**
     * Executes the widget.
     *
     * @return string the result of widget execution to be outputted.
     */
    public function run()
    {
        Html::addCssClass($this->options, 'badge badge-' . $this->type);

        if (!$this->round) {
            Html::addCssClass($this->options, 'badge-roundless');
        }

        echo Html::tag('span', $this->label, $this->options);
    }
}
