<?php

namespace app\components\metronic\widgets;

use rmrevin\yii\fontawesome\FA;
use yii\helpers\Html;
use yii\widgets\Menu;

/**
 * Class TopMenu
 */
class TopMenu extends Menu
{
    /**
     * @inheritDoc
     */
    protected function renderItem($item)
    {
        $linkOptions = $item['linkOptions'] ?? [];

        if (isset($item['method'])) {
            $linkOptions['data-method'] = $item['method'];
        }

        $icon = isset($item['icon']) ? FA::icon($item['icon']) : null;

        $this->linkTemplate = Html::a($icon . $item['label'], $item['url'], $linkOptions);

        return parent::renderItem($item);
    }
}
