<?php

use app\assets\BootstrapAsset;
use app\assets\BootstrapPluginAsset;
use app\components\metronic\Bootstrap;
use app\components\metronic\Metronic;
use kartik\datecontrol\Module as DateControlModule;
use \app\components\Formatter;

$params = require __DIR__ . '/params.php';
$db = require __DIR__ . '/db.php';
require __DIR__ . '/app-constants.php';

$config = [
    'id' => 'sig-skills',
    'name' => 'Worldskills Portugal',
    'language' => 'pt-PT',
    'sourceLanguage' => 'pt-PT',
    'timezone' => 'Europe/Lisbon',
    'basePath' => dirname(__DIR__),
    'bootstrap' => [
        Bootstrap::class,
    ],
    'aliases' => [
        '@bower' => '@vendor/bower-asset',
        '@npm' => '@vendor/npm-asset',
        '@layouts' => __DIR__ . '/../views/layouts/',
    ],
    'components' => [
        'assetManager' => [
            'appendTimestamp' => true,
            'bundles' => [
                \yii\bootstrap\BootstrapAsset::class => [
                    'class' => BootstrapAsset::class,
                ],
                \yii\bootstrap\BootstrapPluginAsset::class => [
                    'class' => BootstrapPluginAsset::class,
                ],
            ],
        ],
        'formatter' => ['class' => Formatter::class],
        'request' => [
            // !!! insert a secret key in the following (if it is empty) - this is required by cookie validation
            'cookieValidationKey' => 'BbBQW961gbYYp86QtHPAD4hJgUT1Csgm',
        ],
        'cache' => [
            'class' => 'yii\caching\FileCache',
        ],
        'user' => [
            'loginUrl' => '/user/login',
            'class' => 'app\modules\user\components\User',
            'identityClass' => 'app\models\Login',
            'enableAutoLogin' => false,
            'authTimeout' => 1800,
            'identityCookie' => [
                'name' => '_backendUser'
            ]
        ],
        'mailer' => [
            'class' => 'yii\swiftmailer\Mailer',
            'viewPath' => '@app/mail',
            'messageConfig' => [
                'from' => ['sigskills@worldskillsportugal.pt' => 'SigSkills - WorldSkills Portugal']
            ],
            'transport' => [
                'class' => 'Swift_SmtpTransport',
                'host' => 'email-smtp.us-east-1.amazonaws.com',
                'username' => 'AKIAJHPLXK6LP3OVB4OQ',
                'password' => 'AqGRzTPsm8AuEvJoQJcspeQNWbS1DYxQm+shgX7O6qFa',
                'port' => '587',
                'encryption' => 'tls'
            ],
        ],
        'log' => [
            'traceLevel' => YII_DEBUG ? 3 : 0,
            'targets' => [
                [
                    'class' => 'yii\log\FileTarget',
                    'levels' => ['error', 'warning'],
                ],
            ],
        ],
        'db' => $db,
        'urlManager' => [
            'enablePrettyUrl' => true,
            'showScriptName' => false,
        ],

        'errorHandler' => [
            'errorAction' => 'site/error',
        ],
    ],
    'modules' => [
        'gridview' => [
            'class' => \kartik\grid\Module::class,
            'downloadAction' => 'gridview/export/download',
            'i18n' => [
                'class' => 'yii\i18n\PhpMessageSource',
                'basePath' => '@app/messages/kvgrid',
                'forceTranslation' => true
            ],
        ],
        'metronic' => [
            'class' => Metronic::class,
            'sidebarMenu' => 'hover',
        ],
        'user' => [
            'class' => 'app\modules\user\Module',
        ],
        'datecontrol' => [
            'class' => DateControlModule::class,
            'ajaxConversion' => false,
            'displaySettings' => [
                DateControlModule::FORMAT_DATE => 'yyyy-MM-dd',
                DateControlModule::FORMAT_TIME => 'HH:mm',
                DateControlModule::FORMAT_DATETIME => 'yyyy-MM-dd HH:mm',
            ],
            'saveSettings' => [
                DateControlModule::FORMAT_DATE => 'php:Y-m-d',
                DateControlModule::FORMAT_TIME => 'php:H:i:s',
                DateControlModule::FORMAT_DATETIME => 'php:Y-m-d H:i:s',
            ],
        ],
    ],
    'as filter' => \app\components\filters\AppAccessControl::class,
    'params' => $params,
];

if (YII_ENV === 'dev') {
    $config['bootstrap'][] = 'gii';
    $config['modules']['gii'] = [
        'class' => 'yii\gii\Module',
        'allowedIPs' => ['127.0.0.1', '::1'],
    ];
}

if (YII_DEBUG !== 'false') {
    $config['bootstrap'][] = 'debug';
    $config['modules']['debug'] = [
        'class' => 'yii\debug\Module',
        'allowedIPs' => ['127.0.0.1', '::1'],
    ];
}

return $config;
