<?php

namespace app\controllers;

use app\models\Entity;
use app\models\search\EntitySearch;
use app\models\Zone2;
use app\models\Zone3;
use Yii;
use yii\web\NotFoundHttpException;
use yii\web\Response;

/**
 * ZoneController implements the CRUD actions for Entity model.
 */
class ZoneController extends MainController
{
    /**
     * @param integer $id_zone1
     * @return array
     * @throws \yii\db\Exception
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionZone2($id_zone1)
    {
        Yii::$app->response->format = Response::FORMAT_JSON;

        return Zone2::find()
            ->select(['id_zone2', 'name' => new \yii\db\Expression('CONCAT("ID:",id_zone2,\' - \',name)')])
            ->andWhere(['id_zone1' => $id_zone1])
            ->createCommand()
            ->queryAll(\PDO::FETCH_KEY_PAIR);
    }

    /**
     * @param integer $id_zone2
     * @return array
     * @throws \yii\db\Exception
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionZone3($id_zone2)
    {
        Yii::$app->response->format = Response::FORMAT_JSON;

        return Zone3::find()
            ->select(['id_zone3', 'name' => new \yii\db\Expression('CONCAT("ID:",id_zone3,\' - \',name)')])
            ->andWhere(['id_zone2' => $id_zone2])
            ->createCommand()
            ->queryAll(\PDO::FETCH_KEY_PAIR);
    }
}
