<?php

use yii\db\Migration;

/**
 * Class m180108_115129_base
 */
class m180108_115129_base extends Migration
{
    /**
     * @inheritdoc
     */
    public function safeUp()
    {
        $password = Yii::$app->security->generatePasswordHash('20sigskills18');

        $this->execute('SET foreign_key_checks = 0;');
        $this->execute(
            "CREATE TABLE IF NOT EXISTS `admin_level` (
                `id_admin_level` int(10) NOT NULL AUTO_INCREMENT,
                `name` varchar(25) COLLATE utf8_unicode_ci NOT NULL,
                `can_admin` tinyint(1) NOT NULL,
                `can_assistant` tinyint(1) NOT NULL,
                `can_user` tinyint(1) NOT NULL,
                PRIMARY KEY (`id_admin_level`)
              ) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
              
            -- Dumping data for table sigskills.admin_level: ~2 rows (approximately)
              /*!40000 ALTER TABLE `admin_level` DISABLE KEYS */;
              INSERT INTO `admin_level` (`id_admin_level`, `name`, `can_admin`, `can_assistant`, `can_user`) VALUES
                  (1, 'Administrador Geral', 1, 0, 0),
                  (2, 'Administrador Assistente', 0, 1, 0),
                  (3, 'Usuário', 0, 0, 1);
              /*!40000 ALTER TABLE `admin_level` ENABLE KEYS */;
              
              -- Dumping structure for table sigskills.clusters
              CREATE TABLE IF NOT EXISTS `clusters` (
                `id_cluster` varchar(25) COLLATE utf8_unicode_ci NOT NULL,
                `name` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
                PRIMARY KEY (`id_cluster`)
              ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
              
              -- Dumping data for table sigskills.clusters: ~5 rows (approximately)
              /*!40000 ALTER TABLE `clusters` DISABLE KEYS */;
              INSERT INTO `clusters` (`id_cluster`, `name`) VALUES
                  ('1', 'Cluster 1'),
                  ('2', 'Cluster 2'),
                  ('3', 'Cluster 3'),
                  ('4', 'Cluster 4'),
                  ('C5', 'Cluster C5');
              /*!40000 ALTER TABLE `clusters` ENABLE KEYS */;
              
              -- Dumping structure for table sigskills.competition_type
              CREATE TABLE IF NOT EXISTS `competition_type` (
                `id_competition_type` int(10) NOT NULL AUTO_INCREMENT,
                `name` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
                PRIMARY KEY (`id_competition_type`)
              ) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
              
              -- Dumping data for table sigskills.competition_type: ~2 rows (approximately)
              /*!40000 ALTER TABLE `competition_type` DISABLE KEYS */;
              INSERT INTO `competition_type` (`id_competition_type`, `name`) VALUES
                  (1, 'Competição Oficial'),
                  (2, 'Competição Demonstração');
              /*!40000 ALTER TABLE `competition_type` ENABLE KEYS */;
              
              -- Dumping structure for table sigskills.cycles
              CREATE TABLE IF NOT EXISTS `cycles` (
                `id_cycle` int(10) NOT NULL AUTO_INCREMENT,
                `name` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
                `date_start` date NOT NULL,
                `date_end` date NOT NULL,
                `active` tinyint(1) NOT NULL,
                PRIMARY KEY (`id_cycle`)
              ) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
              
              -- Dumping data for table sigskills.cycles: ~2 rows (approximately)
              /*!40000 ALTER TABLE `cycles` DISABLE KEYS */;
              INSERT INTO `cycles` (`id_cycle`, `name`, `date_start`, `date_end`, `active`) VALUES
                  (1, 'Ciclo 2015-2017', '2015-09-01', '2017-12-31', 1),
                  (2, 'Ciclo 2017-2019', '2017-09-01', '2019-12-31', 1);
              /*!40000 ALTER TABLE `cycles` ENABLE KEYS */;
              
              -- Dumping structure for table sigskills.documents_type
              CREATE TABLE IF NOT EXISTS `documents_type` (
                `id_document_type` int(10) NOT NULL AUTO_INCREMENT,
                `name` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
                PRIMARY KEY (`id_document_type`)
              ) ENGINE=InnoDB AUTO_INCREMENT=100 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
              
              -- Dumping data for table sigskills.documents_type: ~7 rows (approximately)
              /*!40000 ALTER TABLE `documents_type` DISABLE KEYS */;
              INSERT INTO `documents_type` (`id_document_type`, `name`) VALUES
                  (1, 'Cartão de cidadão'),
                  (2, 'Bilhete de identidade'),
                  (3, 'Autorização de residência'),
                  (4, 'Passaporte'),
                  (5, 'Cartão de residência'),
                  (6, 'Visto de trabalho'),
                  (99, 'Outro');
              /*!40000 ALTER TABLE `documents_type` ENABLE KEYS */;
              
              -- Dumping structure for table sigskills.education
              CREATE TABLE IF NOT EXISTS `education` (
                `id_education` int(10) NOT NULL AUTO_INCREMENT,
                `name` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
                PRIMARY KEY (`id_education`)
              ) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
              
              -- Dumping data for table sigskills.education: ~9 rows (approximately)
              /*!40000 ALTER TABLE `education` DISABLE KEYS */;
              INSERT INTO `education` (`id_education`, `name`) VALUES
                  (1, '1º Ciclo Ensino Básico'),
                  (2, '2º Ciclo Ensino Básico'),
                  (3, '3º Ciclo Ensino Básico'),
                  (4, 'Ensino Secundário'),
                  (5, 'Habilitação escolar pós Secundária não Superior'),
                  (6, 'Habilitação Superior - Bacharelato'),
                  (7, 'Habilitação Superior - Licenciatura'),
                  (8, 'Habilitação Superior - Mestrado'),
                  (9, 'Habilitação Superior - Doutoramento');
              /*!40000 ALTER TABLE `education` ENABLE KEYS */;
              
              -- Dumping structure for table sigskills.entities
              CREATE TABLE IF NOT EXISTS `entities` (
                `id_entity` int(10) NOT NULL AUTO_INCREMENT,
                `name` varchar(200) COLLATE utf8_unicode_ci NOT NULL,
                `id_participant_platform_manager` int(10) DEFAULT NULL,
                `address` varchar(200) COLLATE utf8_unicode_ci NOT NULL,
                `city` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
                `postal_code` varchar(25) COLLATE utf8_unicode_ci NOT NULL,
                `id_zone1` varchar(25) COLLATE utf8_unicode_ci DEFAULT NULL,
                `id_zone2` varchar(25) COLLATE utf8_unicode_ci DEFAULT NULL,
                `id_zone3` varchar(25) COLLATE utf8_unicode_ci DEFAULT NULL,
                `id_entity_scope` int(10) NOT NULL,
                `entity_is_main` tinyint(1) NOT NULL,
                `id_entity_main` int(10) DEFAULT NULL,
                `phone` varchar(25) COLLATE utf8_unicode_ci NOT NULL,
                `email` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
                `direction_name` varchar(200) COLLATE utf8_unicode_ci NOT NULL,
                `direction_email` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
                `direction_position` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
                `alternative_contact_name` varchar(200) COLLATE utf8_unicode_ci NOT NULL,
                `alternative_contact_email` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
                `alternative_contact_direct_phone` varchar(25) COLLATE utf8_unicode_ci NOT NULL,
                `notes` text COLLATE utf8_unicode_ci NOT NULL,
                `active` tinyint(1) NOT NULL,
                PRIMARY KEY (`id_entity`),
                KEY `id_zone1` (`id_zone1`),
                KEY `id_zone2` (`id_zone2`),
                KEY `id_zone3` (`id_zone3`),
                KEY `id_entity_scope` (`id_entity_scope`),
                KEY `id_participant_platform_manager` (`id_participant_platform_manager`),
                KEY `id_entity_main` (`id_entity_main`) USING BTREE,
                CONSTRAINT `entities_ibfk_1` FOREIGN KEY (`id_zone1`) REFERENCES `zone1` (`id_zone1`),
                CONSTRAINT `entities_ibfk_2` FOREIGN KEY (`id_zone2`) REFERENCES `zone2` (`id_zone2`),
                CONSTRAINT `entities_ibfk_3` FOREIGN KEY (`id_zone3`) REFERENCES `zone3` (`id_zone3`),
                CONSTRAINT `entities_ibfk_4` FOREIGN KEY (`id_entity_main`) REFERENCES `entities` (`id_entity`),
                CONSTRAINT `entities_ibfk_5` FOREIGN KEY (`id_entity_scope`) REFERENCES `entity_scope` (`id_entity_scope`),
                CONSTRAINT `entities_ibfk_6` FOREIGN KEY (`id_participant_platform_manager`) REFERENCES `participants` (`id_participant`)
              ) ENGINE=InnoDB AUTO_INCREMENT=1002 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
              
              -- Dumping data for table sigskills.entities: ~2 rows (approximately)
              /*!40000 ALTER TABLE `entities` DISABLE KEYS */;
              INSERT INTO entities (id_entity, name, id_participant_platform_manager, address, city, postal_code, id_zone1, id_zone2, id_zone3, id_entity_scope, entity_is_main, id_entity_main, phone, email, direction_name, direction_email, direction_position, alternative_contact_name, alternative_contact_email, alternative_contact_direct_phone, notes, active) VALUES 
                (1000, 'IEFP - Serviços Centrais', 1, 'Rua exemplo, 1234 - 1º direito', 'Lisboa', '9999-999', 'Z01', 'Z01Z11', 'Z01Z11Z111', 1, 1, null, '55555555555555', 'contato@example.net', 'Amin', 'admin@example.net', 'Diretor', 'Contacto 1', 'contacto1@example.net', '77777777777777', '', 1),
                (1001, 'IEFP - Serviços lisboa', 1000, 'Rua exemplo, 1234 - 1º direito', '', '', null, null, null, 0, 0, 1000, '', '', '', '', '', '', '', '', '', 1);
              /*!40000 ALTER TABLE `entities` ENABLE KEYS */;
              
              -- Dumping structure for table sigskills.entities_registration
              CREATE TABLE IF NOT EXISTS `entities_registration` (
                `id_entity_registration` int(10) NOT NULL AUTO_INCREMENT,
                `id_event` varchar(10) COLLATE utf8_unicode_ci NOT NULL,
                `name` varchar(200) COLLATE utf8_unicode_ci NOT NULL,
                `adress` varchar(200) COLLATE utf8_unicode_ci NOT NULL,
                `city` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
                `postal_code` varchar(25) COLLATE utf8_unicode_ci NOT NULL,
                `id_zone1` varchar(25) COLLATE utf8_unicode_ci NOT NULL,
                `id_zone2` varchar(25) COLLATE utf8_unicode_ci NOT NULL,
                `id_zone3` varchar(25) COLLATE utf8_unicode_ci NOT NULL,
                `id_organization_region` int(10) NOT NULL,
                `id_entity_scope` int(10) NOT NULL,
                `phone` varchar(25) COLLATE utf8_unicode_ci NOT NULL,
                `email` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
                `direction_name` varchar(200) COLLATE utf8_unicode_ci NOT NULL,
                `direction_email` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
                `direction_position` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
                `platform_manager_name` varchar(200) COLLATE utf8_unicode_ci NOT NULL,
                `platform_manager_email` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
                `platform_manager_direct_phone` varchar(25) COLLATE utf8_unicode_ci NOT NULL,
                `registered_skills` text COLLATE utf8_unicode_ci NOT NULL,
                `id_registration_status` int(10) NOT NULL,
                PRIMARY KEY (`id_entity_registration`),
                KEY `id_zone1` (`id_zone1`),
                KEY `id_zone2` (`id_zone2`),
                KEY `id_zone3` (`id_zone3`),
                KEY `id_organization_region` (`id_organization_region`),
                KEY `id_entity_scope` (`id_entity_scope`),
                KEY `id_registration_status` (`id_registration_status`),
                CONSTRAINT `entities_registration_ibfk_1` FOREIGN KEY (`id_zone1`) REFERENCES `zone1` (`id_zone1`),
                CONSTRAINT `entities_registration_ibfk_2` FOREIGN KEY (`id_zone2`) REFERENCES `zone2` (`id_zone2`),
                CONSTRAINT `entities_registration_ibfk_3` FOREIGN KEY (`id_zone3`) REFERENCES `zone3` (`id_zone3`),
                CONSTRAINT `entities_registration_ibfk_4` FOREIGN KEY (`id_organization_region`) REFERENCES `organization_region` (`id_organization_region`),
                CONSTRAINT `entities_registration_ibfk_5` FOREIGN KEY (`id_registration_status`) REFERENCES `registration_status` (`id_registration_status`)
              ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
              
              -- Dumping data for table sigskills.entities_registration: ~0 rows (approximately)
              /*!40000 ALTER TABLE `entities_registration` DISABLE KEYS */;
              /*!40000 ALTER TABLE `entities_registration` ENABLE KEYS */;
              
              -- Dumping structure for table sigskills.entity_scope
              CREATE TABLE IF NOT EXISTS `entity_scope` (
                `id_entity_scope` int(10) NOT NULL AUTO_INCREMENT,
                `name` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
                PRIMARY KEY (`id_entity_scope`)
              ) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
              
              -- Dumping data for table sigskills.entity_scope: ~11 rows (approximately)
              /*!40000 ALTER TABLE `entity_scope` DISABLE KEYS */;
              INSERT INTO `entity_scope` (`id_entity_scope`, `name`) VALUES
                  (1, 'IEFP - Serviços Centrais'),
                  (2, 'IEFP - Delegação Regional'),
                  (3, 'IEFP - Centro de Formação Gestão Direta'),
                  (4, 'Centro de Formação Gestão Participada'),
                  (5, 'Entidade Formadora'),
                  (6, 'Escola Profissional'),
                  (7, 'Escola Secundária'),
                  (8, 'Escola de Hotelaria e Turismo / Turismo de Portugal'),
                  (9, 'Universidade'),
                  (10, 'Politécnico'),
                  (11, 'Empresa');
              /*!40000 ALTER TABLE `entity_scope` ENABLE KEYS */;
              
              -- Dumping structure for table sigskills.events
              CREATE TABLE IF NOT EXISTS `events` (
                `id_event` varchar(10) COLLATE utf8_unicode_ci NOT NULL,
                `name` varchar(200) COLLATE utf8_unicode_ci NOT NULL,
                `id_cycle` int(10) NOT NULL,
                `id_event_kind` int(10) NOT NULL,
                `date_start` date NOT NULL,
                `date_end` date NOT NULL,
                `notes` text COLLATE utf8_unicode_ci DEFAULT NULL,
                `active` tinyint(1) NOT NULL,
                PRIMARY KEY (`id_event`),
                UNIQUE KEY `id_event_kind` (`id_event_kind`),
                KEY `id_cycle` (`id_cycle`),
                CONSTRAINT `events_ibfk_1` FOREIGN KEY (`id_cycle`) REFERENCES `cycles` (`id_cycle`),
                CONSTRAINT `events_ibfk_2` FOREIGN KEY (`id_event_kind`) REFERENCES `events_kind` (`id_event_kind`)
              ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
              
              -- Dumping data for table sigskills.events: ~0 rows (approximately)
              /*!40000 ALTER TABLE `events` DISABLE KEYS */;
              /*!40000 ALTER TABLE `events` ENABLE KEYS */;
              
              -- Dumping structure for table sigskills.events_kind
              CREATE TABLE IF NOT EXISTS `events_kind` (
                `id_event_kind` int(10) NOT NULL,
                `name` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
                PRIMARY KEY (`id_event_kind`)
              ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
              
              -- Dumping data for table sigskills.events_kind: ~5 rows (approximately)
              /*!40000 ALTER TABLE `events_kind` DISABLE KEYS */;
              INSERT INTO `events_kind` (`id_event_kind`, `name`) VALUES
                  (1, 'Pré-Seleção'),
                  (2, 'Campeonato Regional'),
                  (3, 'Campeonato Nacional (WS Portugal)'),
                  (11, 'Campeonato Europeu (WS Europe)'),
                  (12, 'Campeonato Mundial (WS International)');
              /*!40000 ALTER TABLE `events_kind` ENABLE KEYS */;
              
              -- Dumping structure for table sigskills.events_participants
              CREATE TABLE IF NOT EXISTS `events_participants` (
                `id_event_participant` int(10) NOT NULL AUTO_INCREMENT,
                `id_entity` int(10) NOT NULL,
                `id_participant` int(10) NOT NULL,
                `id_event_skill` varchar(21) COLLATE utf8_unicode_ci NOT NULL,
                `id_participant_type` int(10) NOT NULL,
                `id_event_participant_state` int(10) NOT NULL,
                PRIMARY KEY (`id_event_participant`),
                KEY `id_entity` (`id_entity`),
                KEY `id_participant` (`id_participant`),
                KEY `id_event_skill` (`id_event_skill`),
                KEY `id_participant_type` (`id_participant_type`),
                KEY `id_event_participant_state` (`id_event_participant_state`),
                CONSTRAINT `events_participants_ibfk_1` FOREIGN KEY (`id_entity`) REFERENCES `entities` (`id_entity`),
                CONSTRAINT `events_participants_ibfk_2` FOREIGN KEY (`id_event_participant_state`) REFERENCES `events_participants_state` (`id_event_participant_state`),
                CONSTRAINT `events_participants_ibfk_3` FOREIGN KEY (`id_event_skill`) REFERENCES `events_skills` (`id_event_skill`),
                CONSTRAINT `events_participants_ibfk_4` FOREIGN KEY (`id_participant`) REFERENCES `participants` (`id_participant`),
                CONSTRAINT `events_participants_ibfk_5` FOREIGN KEY (`id_participant_type`) REFERENCES `participants_type` (`id_participant_type`)
              ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
              
              -- Dumping data for table sigskills.events_participants: ~0 rows (approximately)
              /*!40000 ALTER TABLE `events_participants` DISABLE KEYS */;
              /*!40000 ALTER TABLE `events_participants` ENABLE KEYS */;
              
              -- Dumping structure for table sigskills.events_participants_state
              CREATE TABLE IF NOT EXISTS `events_participants_state` (
                `id_event_participant_state` int(10) NOT NULL AUTO_INCREMENT,
                `name` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
                PRIMARY KEY (`id_event_participant_state`)
              ) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
              
              -- Dumping data for table sigskills.events_participants_state: ~4 rows (approximately)
              /*!40000 ALTER TABLE `events_participants_state` DISABLE KEYS */;
              INSERT INTO `events_participants_state` (`id_event_participant_state`, `name`) VALUES
                  (1, 'Pré-Registo'),
                  (2, 'Registo Oficial (Confirmado)'),
                  (3, 'Registo Oficial (Pago)'),
                  (4, 'Registo Cancelado');
              /*!40000 ALTER TABLE `events_participants_state` ENABLE KEYS */;
              
              -- Dumping structure for table sigskills.events_registration_manager_entities
              CREATE TABLE IF NOT EXISTS `events_registration_manager_entities` (
                `id_event` varchar(10) COLLATE utf8_unicode_ci NOT NULL,
                `registration_title` varchar(200) COLLATE utf8_unicode_ci NOT NULL,
                `registration_description` text COLLATE utf8_unicode_ci NOT NULL,
                `date_registration_start` date NOT NULL,
                `date_registration_end` date NOT NULL,
                `active` tinyint(1) NOT NULL
              ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
              
              -- Dumping data for table sigskills.events_registration_manager_entities: ~0 rows (approximately)
              /*!40000 ALTER TABLE `events_registration_manager_entities` DISABLE KEYS */;
              /*!40000 ALTER TABLE `events_registration_manager_entities` ENABLE KEYS */;
              
              -- Dumping structure for table sigskills.events_skills
              CREATE TABLE IF NOT EXISTS `events_skills` (
                `id_event_skill` varchar(21) COLLATE utf8_unicode_ci NOT NULL,
                `id_event` varchar(10) COLLATE utf8_unicode_ci NOT NULL,
                `id_skill` varchar(10) COLLATE utf8_unicode_ci NOT NULL,
                `name` varchar(200) COLLATE utf8_unicode_ci NOT NULL,
                `id_cluster` varchar(25) COLLATE utf8_unicode_ci NOT NULL,
                `id_competition_type` int(10) NOT NULL,
                `id_venue_section` int(10) NOT NULL,
                `date_born_start` date NOT NULL,
                `date_born_end` date NOT NULL,
                `notes` text COLLATE utf8_unicode_ci DEFAULT NULL,
                PRIMARY KEY (`id_event_skill`),
                KEY `id_event` (`id_event`),
                KEY `id_skill` (`id_skill`),
                KEY `id_competition_type` (`id_competition_type`),
                KEY `id_venue_section` (`id_venue_section`),
                KEY `id_cluster` (`id_cluster`),
                CONSTRAINT `events_skills_ibfk_2` FOREIGN KEY (`id_skill`) REFERENCES `skills` (`id_skill`),
                CONSTRAINT `events_skills_ibfk_3` FOREIGN KEY (`id_venue_section`) REFERENCES `venues_sections` (`id_venue_section`),
                CONSTRAINT `events_skills_ibfk_4` FOREIGN KEY (`id_competition_type`) REFERENCES `competition_type` (`id_competition_type`),
                CONSTRAINT `events_skills_ibfk_5` FOREIGN KEY (`id_cluster`) REFERENCES `clusters` (`id_cluster`)
              ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
              
              -- Dumping data for table sigskills.events_skills: ~0 rows (approximately)
              /*!40000 ALTER TABLE `events_skills` DISABLE KEYS */;
              /*!40000 ALTER TABLE `events_skills` ENABLE KEYS */;
              
              -- Dumping structure for table sigskills.gender
              CREATE TABLE IF NOT EXISTS `gender` (
                `id_gender` varchar(1) COLLATE utf8_unicode_ci NOT NULL,
                `name` varchar(25) COLLATE utf8_unicode_ci NOT NULL,
                PRIMARY KEY (`id_gender`)
              ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
              
              -- Dumping data for table sigskills.gender: ~2 rows (approximately)
              /*!40000 ALTER TABLE `gender` DISABLE KEYS */;
              INSERT INTO `gender` (`id_gender`, `name`) VALUES
                  ('F', 'Feminino'),
                  ('M', 'Masculino');
              /*!40000 ALTER TABLE `gender` ENABLE KEYS */;
              
              -- Dumping structure for table sigskills.login
              CREATE TABLE IF NOT EXISTS `login` (
                `id_login` int(10) NOT NULL,
                `id_admin_level` int(10) NOT NULL,
                `status` int(10) NOT NULL,
                `password` varchar(255) COLLATE utf8_unicode_ci NULL,
                `auth_key` varchar(255) COLLATE utf8_unicode_ci NULL,
                `access_token` varchar(255) COLLATE utf8_unicode_ci NULL,
                `logged_in_ip` varchar(255) COLLATE utf8_unicode_ci NULL,
                `logged_in_at` timestamp NULL,
                `created_ip` varchar(255) COLLATE utf8_unicode_ci NULL,
                `created_at` timestamp NULL,
                `updated_at` timestamp NULL,
                `banned_at` timestamp NULL,
                `banned_reason` varchar(255) COLLATE utf8_unicode_ci NULL,
                PRIMARY KEY (`id_login`),
                KEY `id_admin_level` (`id_admin_level`),
                CONSTRAINT `login_adminlevel_fk` FOREIGN KEY (`id_admin_level`) REFERENCES `admin_level` (`id_admin_level`)
              ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
              
            -- Dumping data for table sigskills.login: ~0 rows (approximately)
              /*!40000 ALTER TABLE `login` DISABLE KEYS */;
              INSERT INTO `login` (`id_login`, `id_admin_level`, `status`, `password`) VALUES
                  (1, 1, 1, '{$password}'),
                  (2, 2, 1, '{$password}'),
                  (3, 3, 1, '{$password}');
              /*!40000 ALTER TABLE `login` ENABLE KEYS */;
              
            -- Dumping structure for table sigskills.login_token
              CREATE TABLE IF NOT EXISTS `login_token` (
                `id_login_token` int(10) NOT NULL,
                `id_login` int(10) NULL,
                `type` int(10) NOT NULL,
                `token` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
                `data` varchar(255) COLLATE utf8_unicode_ci NULL,
                `created_at` timestamp NULL,
                `expired_at` timestamp NULL,
                PRIMARY KEY (`id_login_token`),
                KEY `id_login` (`id_login`),
                CONSTRAINT `logintoken_login_fk` FOREIGN KEY (`id_login`) REFERENCES `login` (`id_login`)
              ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

            -- Dumping structure for table sigskills.login_auth
              CREATE TABLE IF NOT EXISTS `login_auth` (
                `id_login_auth` int(10) NOT NULL,
                `id_login` int(10) NULL,
                `provider` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
                `provider_id` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
                `provider_attributes` text COLLATE utf8_unicode_ci NOT NULL,
                `created_at` timestamp NULL,
                `updated_at` timestamp NULL,
                PRIMARY KEY (`id_login_auth`),
                KEY `id_login` (`id_login`),
                CONSTRAINT `loginauth_login_fk` FOREIGN KEY (`id_login`) REFERENCES `login` (`id_login`)
              ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
              
              -- Dumping structure for table sigskills.log_records
              CREATE TABLE IF NOT EXISTS `log_records` (
                `id_log_record` int(10) unsigned NOT NULL AUTO_INCREMENT,
                `id_log_type` int(10) NOT NULL,
                `log_timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
                `login` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
                `table_name` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
                `record_id` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
                `notes` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
                PRIMARY KEY (`id_log_record`),
                KEY `id_log_type` (`id_log_type`),
                CONSTRAINT `log_records_ibfk_1` FOREIGN KEY (`id_log_type`) REFERENCES `log_types` (`id_log_type`)
              ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
              
              -- Dumping data for table sigskills.log_records: ~0 rows (approximately)
              /*!40000 ALTER TABLE `log_records` DISABLE KEYS */;
              /*!40000 ALTER TABLE `log_records` ENABLE KEYS */;
              
              -- Dumping structure for table sigskills.log_types
              CREATE TABLE IF NOT EXISTS `log_types` (
                `id_log_type` int(10) NOT NULL AUTO_INCREMENT,
                `name` varchar(25) COLLATE utf8_unicode_ci NOT NULL,
                PRIMARY KEY (`id_log_type`)
              ) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
              
              -- Dumping data for table sigskills.log_types: ~5 rows (approximately)
              /*!40000 ALTER TABLE `log_types` DISABLE KEYS */;
              INSERT INTO `log_types` (`id_log_type`, `name`) VALUES
                  (1, 'Login'),
                  (2, 'Logout'),
                  (3, 'Table Insert Record'),
                  (4, 'Table Update Record'),
                  (5, 'Table Delete Record');
              /*!40000 ALTER TABLE `log_types` ENABLE KEYS */;
              
              -- Dumping structure for table sigskills.nationalities
              CREATE TABLE IF NOT EXISTS `nationalities` (
                `id_nationality` int(10) NOT NULL AUTO_INCREMENT,
                `name` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
                PRIMARY KEY (`id_nationality`)
              ) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
              
              -- Dumping data for table sigskills.nationalities: ~2 rows (approximately)
              /*!40000 ALTER TABLE `nationalities` DISABLE KEYS */;
              INSERT INTO `nationalities` (`id_nationality`, `name`) VALUES
                  (1, 'Portuguesa'),
                  (2, 'Estrangeira');
              /*!40000 ALTER TABLE `nationalities` ENABLE KEYS */;
              
              -- Dumping structure for table sigskills.organization_region
              CREATE TABLE IF NOT EXISTS `organization_region` (
                `id_organization_region` int(10) NOT NULL AUTO_INCREMENT,
                `name` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
                PRIMARY KEY (`id_organization_region`)
              ) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
              
              -- Dumping data for table sigskills.organization_region: ~7 rows (approximately)
              /*!40000 ALTER TABLE `organization_region` DISABLE KEYS */;
              INSERT INTO `organization_region` (`id_organization_region`, `name`) VALUES
                  (1, 'DR Norte'),
                  (2, 'DR Centro'),
                  (3, 'DR Lisboa e Vale do Tejo'),
                  (4, 'Dr Alentejo'),
                  (5, 'DR Algarve'),
                  (6, 'RA Açores'),
                  (7, 'RA Madeira');
              /*!40000 ALTER TABLE `organization_region` ENABLE KEYS */;
              
              -- Dumping structure for table sigskills.participants
              CREATE TABLE IF NOT EXISTS `participants` (
                `id_participant` int(10) NOT NULL AUTO_INCREMENT,
                `id_login` int(10) DEFAULT NULL,
                `name` varchar(200) COLLATE utf8_unicode_ci NOT NULL,
                `nickname` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
                `email` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
                `email_alternative` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
                `id_nationality` int(10) DEFAULT NULL,
                `date_birth` date NOT NULL,
                `place_of_birth` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
                `id_document_type` int(10) DEFAULT NULL,
                `identification_number` varchar(25) COLLATE utf8_unicode_ci DEFAULT NULL,
                `date_expiration` date DEFAULT NULL,
                `tax_number` varchar(25) COLLATE utf8_unicode_ci NOT NULL,
                `social_security_number` varchar(25) COLLATE utf8_unicode_ci DEFAULT NULL,
                `address` varchar(200) COLLATE utf8_unicode_ci DEFAULT NULL,
                `city` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
                `postal_code` varchar(25) COLLATE utf8_unicode_ci DEFAULT NULL,
                `id_zone1` varchar(25) COLLATE utf8_unicode_ci DEFAULT NULL,
                `id_zone2` varchar(25) COLLATE utf8_unicode_ci DEFAULT NULL,
                `id_zone3` varchar(25) COLLATE utf8_unicode_ci DEFAULT NULL,
                `phone` varchar(25) COLLATE utf8_unicode_ci DEFAULT NULL,
                `phone_alternative` varchar(25) COLLATE utf8_unicode_ci DEFAULT NULL,
                `id_education` int(10) DEFAULT NULL,
                `id_vocational_skills_type` int(10) DEFAULT NULL,
                `vocational_skills` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
                `id_gender` varchar(1) COLLATE utf8_unicode_ci DEFAULT NULL,
                `tshirt_size` varchar(25) COLLATE utf8_unicode_ci DEFAULT NULL,
                `iban` varchar(34) COLLATE utf8_unicode_ci DEFAULT NULL,
                `extra01` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
                `extra02` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
                `extra03` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
                `extra04` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
                `extra05` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
                `extra06` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
                `extra07` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
                `extra08` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
                `extra09` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
                `extra10` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
                `id_entity_current` int(10) NOT NULL,
                `notes` text COLLATE utf8_unicode_ci DEFAULT NULL,
                `picture` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
                `active` tinyint(1) NOT NULL,
                PRIMARY KEY (`id_participant`),
                UNIQUE KEY `email` (`email`),
                UNIQUE KEY `identification_number` (`identification_number`),
                UNIQUE KEY `tax_number` (`tax_number`),
                KEY `id_nationality` (`id_nationality`),
                KEY `id_identification_type` (`id_document_type`),
                KEY `id_zone1` (`id_zone1`),
                KEY `id_zone2` (`id_zone2`),
                KEY `id_zone3` (`id_zone3`),
                KEY `id_education` (`id_education`),
                KEY `id_vocational_skills_type` (`id_vocational_skills_type`),
                KEY `id_gender` (`id_gender`),
                KEY `id_entity_current` (`id_entity_current`),
                CONSTRAINT `participants_ibfk_1` FOREIGN KEY (`id_education`) REFERENCES `education` (`id_education`),
                CONSTRAINT `participants_ibfk_10` FOREIGN KEY (`id_zone3`) REFERENCES `zone3` (`id_zone3`),
                CONSTRAINT `participants_ibfk_2` FOREIGN KEY (`id_entity_current`) REFERENCES `entities` (`id_entity`),
                CONSTRAINT `participants_ibfk_3` FOREIGN KEY (`id_gender`) REFERENCES `gender` (`id_gender`),
                CONSTRAINT `participants_ibfk_4` FOREIGN KEY (`id_document_type`) REFERENCES `documents_type` (`id_document_type`),
                CONSTRAINT `participants_ibfk_5` FOREIGN KEY (`id_nationality`) REFERENCES `nationalities` (`id_nationality`),
                CONSTRAINT `participants_ibfk_7` FOREIGN KEY (`id_vocational_skills_type`) REFERENCES `vocation_skills_type` (`id_vocational_skills_type`),
                CONSTRAINT `participants_ibfk_8` FOREIGN KEY (`id_zone1`) REFERENCES `zone1` (`id_zone1`),
                CONSTRAINT `participants_ibfk_9` FOREIGN KEY (`id_zone2`) REFERENCES `zone2` (`id_zone2`)
              ) ENGINE=InnoDB AUTO_INCREMENT=1002 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
              
              INSERT INTO `participants` (`id_participant`, `id_login`, `name`, `nickname`, `email`, `email_alternative`, `id_nationality`, `date_birth`, `place_of_birth`, `id_document_type`, `identification_number`, `date_expiration`, `tax_number`, `social_security_number`, `address`, `city`, `postal_code`, `id_zone1`, `id_zone2`, `id_zone3`, `phone`, `phone_alternative`, `id_education`, `id_vocational_skills_type`, `vocational_skills`, `id_gender`, `tshirt_size`, `iban`, `extra01`, `extra02`, `extra03`, `extra04`, `extra05`, `extra06`, `extra07`, `extra08`, `extra09`, `extra10`, `id_entity_current`, `notes`, `picture`, `active`) VALUES
                (1, 1, 'SUPER ADMINISTRADOR', 'SUPER ADMINISTRADOR', 'admin@interativasoftware.com.br', '', 1, '1975-01-01', 'NA', 2, '1212', '2020-12-31', '1212', '12345678901', 'rua exemplo, 11 - 1º Direito', 'Porto', '1234-123', 'Z01', 'Z01Z11', 'Z01Z11Z111', '931234567', '', 8, 1, '', 'M', 'XL', 'PT501234567890', '', '', '', '', '', '', '', '', '', '', 1000, '', '', 1),
                (2, 2, 'ASSISTENTE', 'ASSISTENTE', 'assistente@interativasoftware.com.br', '', 1, '1975-01-01', 'NA', 2, '1213', '2020-12-31', '1213', '12345678901', 'rua exemplo, 11 - 1º Direito', 'Porto', '1234-123', 'Z01', 'Z01Z11', 'Z01Z11Z111', '931234567', '', 8, 1, '', 'M', 'XL', 'PT501234567890', '', '', '', '', '', '', '', '', '', '', 1000, '', '', 1),
                (3, 3, 'USUARIO', 'USUARIO', 'usuario@interativasoftware.com.br', '', 1, '1975-01-01', 'NA', 2, '1214', '2020-12-31', '1214', '12345678901', 'rua exemplo, 11 - 1º Direito', 'Porto', '1234-123', 'Z01', 'Z01Z11', 'Z01Z11Z111', '931234567', '', 8, 1, '', 'M', 'XL', 'PT501234567890', '', '', '', '', '', '', '', '', '', '', 1000, '', '', 1);
            
              -- Dumping structure for table sigskills.participants_type
              CREATE TABLE IF NOT EXISTS `participants_type` (
                `id_participant_type` int(10) NOT NULL,
                `name` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
                `id_participant_type_category` int(10) NOT NULL,
                `allow_external_registration` tinyint(1) NOT NULL,
                PRIMARY KEY (`id_participant_type`),
                KEY `id_participant_type_category` (`id_participant_type_category`),
                CONSTRAINT `participants_type_ibfk_1` FOREIGN KEY (`id_participant_type_category`) REFERENCES `participants_type_category` (`id_participant_type_category`)
              ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
              
              -- Dumping data for table sigskills.participants_type: ~14 rows (approximately)
              /*!40000 ALTER TABLE `participants_type` DISABLE KEYS */;
              INSERT INTO `participants_type` (`id_participant_type`, `name`, `id_participant_type_category`, `allow_external_registration`) VALUES
                  (101, 'Organização (Gestor da Competição)', 1, 0),
                  (102, 'Organização (Membro)', 1, 0),
                  (201, 'Gestor da Plataforma (Representante Entidade)', 2, 0),
                  (301, 'Chefe de Oficina', 3, 1),
                  (302, 'Chefe de Oficina Assistente', 3, 1),
                  (303, 'Chefe de Oficina (Convidado)', 3, 1),
                  (401, 'Presidente do Júri', 4, 1),
                  (402, 'Assistente do Presidente do Júri', 4, 1),
                  (403, 'Jurado', 4, 1),
                  (501, 'Team Leader', 5, 1),
                  (601, 'Concorrente', 6, 1),
                  (602, 'Concorrente (Convidado)', 6, 1),
                  (701, 'Tradutor', 7, 0),
                  (801, 'Observador', 8, 0);
              /*!40000 ALTER TABLE `participants_type` ENABLE KEYS */;
              
              -- Dumping structure for table sigskills.participants_type_category
              CREATE TABLE IF NOT EXISTS `participants_type_category` (
                `id_participant_type_category` int(10) NOT NULL,
                `name` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
                PRIMARY KEY (`id_participant_type_category`)
              ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
              
              -- Dumping data for table sigskills.participants_type_category: ~8 rows (approximately)
              /*!40000 ALTER TABLE `participants_type_category` DISABLE KEYS */;
              INSERT INTO `participants_type_category` (`id_participant_type_category`, `name`) VALUES
                  (1, 'Organização'),
                  (2, 'Gestores Plataforma (Entidades)'),
                  (3, 'Chefes Oficina'),
                  (4, 'Jurados'),
                  (5, 'Team Leaders'),
                  (6, 'Concorrentes'),
                  (7, 'Tradutores'),
                  (8, 'Observadores');
              /*!40000 ALTER TABLE `participants_type_category` ENABLE KEYS */;
              
              -- Dumping structure for table sigskills.registration_status
              CREATE TABLE IF NOT EXISTS `registration_status` (
                `id_registration_status` int(10) NOT NULL AUTO_INCREMENT,
                `name` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
                PRIMARY KEY (`id_registration_status`)
              ) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
              
              -- Dumping data for table sigskills.registration_status: ~4 rows (approximately)
              /*!40000 ALTER TABLE `registration_status` DISABLE KEYS */;
              INSERT INTO `registration_status` (`id_registration_status`, `name`) VALUES
                  (1, 'Registo efetuado (Falta conferir)'),
                  (2, 'Registo convertido em Entidade'),
                  (3, 'Registo Cancelado (Duplicado/outro)'),
                  (4, '');
              /*!40000 ALTER TABLE `registration_status` ENABLE KEYS */;
              
              -- Dumping structure for table sigskills.skills
              CREATE TABLE IF NOT EXISTS `skills` (
                `id_skill` varchar(10) COLLATE utf8_unicode_ci NOT NULL,
                `name` varchar(200) COLLATE utf8_unicode_ci NOT NULL,
                `id_cluster` varchar(25) COLLATE utf8_unicode_ci NOT NULL,
                `notes` text COLLATE utf8_unicode_ci NOT NULL,
                PRIMARY KEY (`id_skill`),
                KEY `id_cluster` (`id_cluster`),
                CONSTRAINT `skills_ibfk_1` FOREIGN KEY (`id_cluster`) REFERENCES `clusters` (`id_cluster`)
              ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
              
              -- Dumping data for table sigskills.skills: ~0 rows (approximately)
              /*!40000 ALTER TABLE `skills` DISABLE KEYS */;
              /*!40000 ALTER TABLE `skills` ENABLE KEYS */;
              
              -- Dumping structure for table sigskills.venues_sections
              CREATE TABLE IF NOT EXISTS `venues_sections` (
                `id_venue_section` int(10) NOT NULL AUTO_INCREMENT,
                `name` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
                `id_event` varchar(10) COLLATE utf8_unicode_ci NOT NULL,
                `notes` text COLLATE utf8_unicode_ci DEFAULT NULL,
                PRIMARY KEY (`id_venue_section`),
                KEY `id_event` (`id_event`)
              ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
              
              -- Dumping data for table sigskills.venues_sections: ~0 rows (approximately)
              /*!40000 ALTER TABLE `venues_sections` DISABLE KEYS */;
              /*!40000 ALTER TABLE `venues_sections` ENABLE KEYS */;
              
              -- Dumping structure for table sigskills.vocation_skills_type
              CREATE TABLE IF NOT EXISTS `vocation_skills_type` (
                `id_vocational_skills_type` int(10) NOT NULL AUTO_INCREMENT,
                `name` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
                PRIMARY KEY (`id_vocational_skills_type`)
              ) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
              
              -- Dumping data for table sigskills.vocation_skills_type: ~2 rows (approximately)
              /*!40000 ALTER TABLE `vocation_skills_type` DISABLE KEYS */;
              INSERT INTO `vocation_skills_type` (`id_vocational_skills_type`, `name`) VALUES
                  (1, 'Aprendizagem'),
                  (2, 'Educação Formação de Adultos');
              /*!40000 ALTER TABLE `vocation_skills_type` ENABLE KEYS */;
              
              -- Dumping structure for table sigskills.zone1
              CREATE TABLE IF NOT EXISTS `zone1` (
                `id_zone1` varchar(25) COLLATE utf8_unicode_ci NOT NULL,
                `name` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
                PRIMARY KEY (`id_zone1`)
              ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
              
              -- Dumping data for table sigskills.zone1: ~5 rows (approximately)
              /*!40000 ALTER TABLE `zone1` DISABLE KEYS */;
              INSERT INTO `zone1` (`id_zone1`, `name`) VALUES
                  ('Z01', 'Zone 1'),
                  ('Z02', 'Zone 2'),
                  ('Z03', 'Zone 3'),
                  ('Z04', 'Zone 4'),
                  ('Z05', 'Zone 5');
              /*!40000 ALTER TABLE `zone1` ENABLE KEYS */;
              
              -- Dumping structure for table sigskills.zone2
              CREATE TABLE IF NOT EXISTS `zone2` (
                `id_zone2` varchar(25) COLLATE utf8_unicode_ci NOT NULL,
                `name` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
                `id_zone1` varchar(25) COLLATE utf8_unicode_ci NOT NULL,
                `id_organization_region` int(10) NOT NULL,
                PRIMARY KEY (`id_zone2`),
                KEY `id_zone1` (`id_zone1`),
                KEY `id_organization_region` (`id_organization_region`),
                CONSTRAINT `zone2_ibfk_1` FOREIGN KEY (`id_organization_region`) REFERENCES `organization_region` (`id_organization_region`),
                CONSTRAINT `zone2_ibfk_2` FOREIGN KEY (`id_zone1`) REFERENCES `zone1` (`id_zone1`)
              ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
              
              -- Dumping data for table sigskills.zone2: ~2 rows (approximately)
              /*!40000 ALTER TABLE `zone2` DISABLE KEYS */;
              INSERT INTO `zone2` (`id_zone2`, `name`, `id_zone1`, `id_organization_region`) VALUES
                  ('Z01Z11', 'Zone AAA (Z01)', 'Z01', 1),
                  ('Z01Z12', 'Zone BBB (z01)', 'Z01', 1),
                  ('Z01Z13', 'Zone CCC', 'Z01', 2),
                  ('Z02Z21', 'Zone 21 (z02)', 'Z02', 2),
                  ('Z04Z41', 'Zone 41 (zone 04)', 'Z04', 4);
              /*!40000 ALTER TABLE `zone2` ENABLE KEYS */;
              
              -- Dumping structure for table sigskills.zone3
              CREATE TABLE IF NOT EXISTS `zone3` (
                `id_zone3` varchar(25) COLLATE utf8_unicode_ci NOT NULL,
                `name` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
                `id_zone2` varchar(25) COLLATE utf8_unicode_ci NOT NULL,
                PRIMARY KEY (`id_zone3`),
                KEY `id_zone2` (`id_zone2`),
                CONSTRAINT `zone3_ibfk_1` FOREIGN KEY (`id_zone2`) REFERENCES `zone2` (`id_zone2`)
              ) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
              
              -- Dumping data for table sigskills.zone3: ~5 rows (approximately)
              /*!40000 ALTER TABLE `zone3` DISABLE KEYS */;
              INSERT INTO `zone3` (`id_zone3`, `name`, `id_zone2`) VALUES
                  ('Z01Z11Z111', 'ZONE AAA 111', 'Z01Z11'),
                  ('Z01Z11Z112', 'ZONE AAA 112', 'Z01Z11'),
                  ('Z01Z11Z113', 'ZONE AAA 113', 'Z01Z11'),
                  ('Z01Z12Z121', 'Zone BBB (z01) - 121', 'Z01Z12'),
                  ('Z04Z41Z441', 'Zone 41 (zone 04) - FREG', 'Z04Z41');
            
            ALTER TABLE `participants`
                   ADD `dietary_restriction` TINYINT(1) DEFAULT NULL
                   AFTER `extra10`,
                   ADD `dr01` TINYINT(1) DEFAULT NULL
                   AFTER `dietary_restriction`,
                   ADD `dr02` TINYINT(1) DEFAULT NULL
                   AFTER `dr01`,
                   ADD `dr03` TINYINT(1) DEFAULT NULL
                   AFTER `dr02`,
                   ADD `dr04` TINYINT(1) DEFAULT NULL
                   AFTER `dr03`,
                   ADD `dr05` TINYINT(1) DEFAULT NULL
                   AFTER `dr04`,
                   ADD `dr06` TINYINT(1) DEFAULT NULL
                   AFTER `dr05`,
                   ADD `dr07` TINYINT(1) DEFAULT NULL
                   AFTER `dr06`,
                   ADD `dr08` TINYINT(1) DEFAULT NULL
                   AFTER `dr07`,
                   ADD `dr_other` VARCHAR(100) DEFAULT NULL
                   AFTER `dr08`;
                   
            ALTER TABLE `participants` 
                   ADD `image_rights_upload` VARCHAR(100) DEFAULT NULL 
                   AFTER `dr_other`;
                   
            SET SQL_MODE = \"NO_AUTO_VALUE_ON_ZERO\";
            SET AUTOCOMMIT = 0;
            START TRANSACTION;
            SET time_zone = \"+00:00\";
            
            /*!40101 SET @OLD_CHARACTER_SET_CLIENT = @@CHARACTER_SET_CLIENT */;
            /*!40101 SET @OLD_CHARACTER_SET_RESULTS = @@CHARACTER_SET_RESULTS */;
            /*!40101 SET @OLD_COLLATION_CONNECTION = @@COLLATION_CONNECTION */;
            /*!40101 SET NAMES utf8mb4 */;
            
            CREATE TABLE `access_manager` (
              `id_access_manager`           INT(10)                      NOT NULL,
              `name`                        VARCHAR(255)
                                            COLLATE utf8_unicode_ci      NOT NULL,
              `id_event`                    VARCHAR(10)
                                            COLLATE utf8_unicode_ci DEFAULT NULL,
              `access_all_platform_manager` TINYINT(1)                   NOT NULL,
              `access_all_participants`     TINYINT(1)                   NOT NULL,
              `access_restricted_logins`    TINYINT(1)                   NOT NULL,
              `restricted_logins_list`      TEXT COLLATE utf8_unicode_ci DEFAULT NULL
            )
              ENGINE = InnoDB
              DEFAULT CHARSET = utf8
              COLLATE = utf8_unicode_ci;
            
            INSERT INTO `access_manager` (`id_access_manager`, `name`, `id_event`, `access_all_platform_manager`, `access_all_participants`, `access_restricted_logins`, `restricted_logins_list`)
            VALUES
              (1, 'Inscrições de entidades em eventos (Formulário externo de inscrições de novas entidades)', NULL, 1, 1, 0, ''),
              (2, 'Inscrição de participantes em eventos (Formulário de inscrição de participantes em eventos)', NULL, 1, 1, 0, ''),
              (3, 'Editar dados entidades (Permitir acesso ao preenchimento dos dados das entidades)', NULL, 1, 1, 0, ''),
              (4, 'Editar dados participantes (Permitir acesso ao preenchimento dos dados dos participantes)', NULL, 1, 1, 0, '');
            
            ALTER TABLE `access_manager`
              ADD PRIMARY KEY (`id_access_manager`),
              ADD KEY `id_event` (`id_event`);
            
            ALTER TABLE `access_manager`
              MODIFY `id_access_manager` INT(10) NOT NULL AUTO_INCREMENT,
              AUTO_INCREMENT = 5;
            
            ALTER TABLE `access_manager`
              ADD CONSTRAINT `access_manager_ibfk_1` FOREIGN KEY (`id_event`) REFERENCES `events` (`id_event`);
            COMMIT;
            
            /*!40101 SET CHARACTER_SET_CLIENT = @OLD_CHARACTER_SET_CLIENT */;
            /*!40101 SET CHARACTER_SET_RESULTS = @OLD_CHARACTER_SET_RESULTS */;
            /*!40101 SET COLLATION_CONNECTION = @OLD_COLLATION_CONNECTION */;
            
            
            INSERT INTO events (id_event, name, id_cycle, id_event_kind, date_start, date_end, notes, active) VALUES ('EV_01', 'Evento 1', 1, 1, '2018-01-01', '2018-01-31', '', 0);
            INSERT INTO skills (id_skill, name, id_cluster, notes) VALUES ('eng_mec_1', 'Engenheiro Mecânico', '1', '');
            INSERT INTO venues_sections (name, id_event, notes) VALUES ('Evento Seção 1', 'EV_01', '');
            INSERT INTO events_skills (id_event_skill, id_event, id_skill, name, id_cluster, id_competition_type, id_venue_section, date_born_start, date_born_end, notes) VALUES ('EV_01_eng_mec_1', 'EV_01', 'eng_mec_1', 'Engenheiro Mecânico', '1', 1, 1, '2018-01-29', '2018-01-31', '');
            INSERT INTO events_participants (id_entity, id_participant, id_event_skill, id_participant_type, id_event_participant_state) VALUES (1000, 3, 'EV_01_eng_mec_1', 501, 1);
            "
        );

        $this->execute('SET foreign_key_checks = 1;');
    }

    public function safeDown()
    {
        return true;
    }
}
