<?php

use yii\db\Migration;

/**
 * Class m180122_215512_view_event_participant
 */
class m180122_215512_view_event_participant extends Migration
{
    /**
     * @inheritdoc
     */
    public function safeUp()
    {
        $this->execute('create or replace view view_event_participant as
(SELECT
     `events_participants`.`id_event_participant`                      AS `id_event_participant`,
     `events_participants`.`id_entity`                                 AS `id_entity`,
     `events_participants`.`id_participant`                            AS `id_participant`,
     `events_participants`.`id_event_skill`                            AS `id_event_skill`,
     `events_participants`.`id_participant_type`                       AS `id_participant_type`,
     `events_participants`.`id_event_participant_state`                AS `id_event_participant_state`,
     `events_skills`.`id_event`                                        AS `id_event`,
     `clusters`.`id_cluster`                                           AS `id_cluster`,
     `clusters`.`name`                                                 AS `clusterName`,
     `venues_sections`.`id_venue_section`                              AS `id_venue_section`,
     `venues_sections`.`name`                                          AS `venueSectionName`,
     `organization_region`.`id_organization_region`                    AS `id_organization_region`,
     `organization_region`.`name`                                      AS `organizationRegionName`,
     `participants`.`id_login`                                         AS `id_login`,
     `participants`.`name`                                             AS `name`,
     `participants`.`nickname`                                         AS `nickname`,
     `participants`.`email`                                            AS `email`,
     `participants`.`email_alternative`                                AS `email_alternative`,
     `participants`.`id_nationality`                                   AS `id_nationality`,
     `participants`.`date_birth`                                       AS `date_birth`,
     `participants`.`place_of_birth`                                   AS `place_of_birth`,
     `participants`.`id_document_type`                                 AS `id_document_type`,
     `participants`.`identification_number`                            AS `identification_number`,
     `participants`.`date_expiration`                                  AS `date_expiration`,
     `participants`.`tax_number`                                       AS `tax_number`,
     `participants`.`social_security_number`                           AS `social_security_number`,
     `participants`.`address`                                          AS `address`,
     `participants`.`city`                                             AS `city`,
     `participants`.`postal_code`                                      AS `postal_code`,
     `participants`.`id_zone1`                                         AS `id_zone1`,
     `participants`.`id_zone2`                                         AS `id_zone2`,
     `participants`.`id_zone3`                                         AS `id_zone3`,
     `participants`.`phone`                                            AS `phone`,
     `participants`.`phone_alternative`                                AS `phone_alternative`,
     `participants`.`id_education`                                     AS `id_education`,
     `participants`.`id_vocational_skills_type`                        AS `id_vocational_skills_type`,
     `participants`.`vocational_skills`                                AS `vocational_skills`,
     `participants`.`id_gender`                                        AS `id_gender`,
     `participants`.`tshirt_size`                                      AS `tshirt_size`,
     `participants`.`iban`                                             AS `iban`,
     `participants`.`extra01`                                          AS `extra01`,
     `participants`.`extra02`                                          AS `extra02`,
     `participants`.`extra03`                                          AS `extra03`,
     `participants`.`extra04`                                          AS `extra04`,
     `participants`.`extra05`                                          AS `extra05`,
     `participants`.`extra06`                                          AS `extra06`,
     `participants`.`extra07`                                          AS `extra07`,
     `participants`.`extra08`                                          AS `extra08`,
     `participants`.`extra09`                                          AS `extra09`,
     `participants`.`extra10`                                          AS `extra10`,
     `participants`.`dietary_restriction`                              AS `dietary_restriction`,
     `participants`.`dr01`                                             AS `dr01`,
     `participants`.`dr02`                                             AS `dr02`,
     `participants`.`dr03`                                             AS `dr03`,
     `participants`.`dr04`                                             AS `dr04`,
     `participants`.`dr05`                                             AS `dr05`,
     `participants`.`dr06`                                             AS `dr06`,
     `participants`.`dr07`                                             AS `dr07`,
     `participants`.`dr08`                                             AS `dr08`,
     `participants`.`dr_other`                                         AS `dr_other`,
     `participants`.`image_rights_upload`                              AS `image_rights_upload`,
     `participants`.`id_entity_current`                                AS `id_entity_current`,
     `participants`.`active`                                           AS `active`,
     `nationalities`.`name`                                            AS `nationalityName`,
     `documents_type`.`name`                                           AS `documentTypeName`,
     `zone1`.`name`                                                    AS `zone1Name`,
     `zone2`.`name`                                                    AS `zone2Name`,
     `zone3`.`name`                                                    AS `zone3Name`,
     `education`.`name`                                                AS `educationName`,
     `vocation_skills_type`.`name`                                     AS `vocationSkillTypeName`,
     `gender`.`name`                                                   AS `genderName`,
     if(ifnull(length(`participants`.`image_rights_upload`), 0), 1, 0) AS `hasImageRights`,
     if(ifnull(length(`participants`.`picture`), 0), 1, 0)             AS `picture`,
     `entityCurrent`.`name`                                                        AS `entityCurrentName`
   FROM ((((((((((((((`events_participants`
     JOIN `events_skills` ON ((`events_participants`.`id_event_skill` = `events_skills`.`id_event_skill`))) LEFT JOIN `clusters`
       ON ((`events_skills`.`id_cluster` = `clusters`.`id_cluster`))) LEFT JOIN `venues_sections`
       ON ((`events_skills`.`id_venue_section` = `venues_sections`.`id_venue_section`))) LEFT JOIN `participants`
       ON ((`participants`.`id_participant` = `events_participants`.`id_participant`))) LEFT JOIN `nationalities`
       ON ((`participants`.`id_nationality` = `nationalities`.`id_nationality`))) LEFT JOIN `documents_type`
       ON ((`participants`.`id_document_type` = `documents_type`.`id_document_type`))) LEFT JOIN `zone1`
       ON ((`participants`.`id_zone1` = `zone1`.`id_zone1`))) LEFT JOIN `zone2`
       ON ((`participants`.`id_zone2` = `zone2`.`id_zone2`))) LEFT JOIN `zone3`
       ON ((`participants`.`id_zone3` = `zone3`.`id_zone3`))) LEFT JOIN `education`
       ON ((`participants`.`id_education` = `education`.`id_education`))) LEFT JOIN `vocation_skills_type`
       ON ((`participants`.`id_vocational_skills_type` = `vocation_skills_type`.`id_vocational_skills_type`))) LEFT JOIN `gender`
       ON ((`participants`.`id_gender` = `gender`.`id_gender`))) LEFT JOIN `entities` `entityCurrent`
       ON ((`participants`.`id_entity_current` = `entityCurrent`.`id_entity`))) LEFT JOIN `organization_region`
       ON ((`zone2`.`id_organization_region` = `organization_region`.`id_organization_region`))));
');
    }

    /**
     * @inheritdoc
     */
    public function safeDown()
    {
        echo "m180122_215512_view_event_participant cannot be reverted.\n";

        return false;
    }
}
