<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "competition_type".
 *
 * @property int $id_competition_type
 * @property string $name
 *
 * @property EventsSkills[] $eventsSkills
 */
class CompetitionType extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'competition_type';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['name'], 'required'],
            [['name'], 'string', 'max' => 100],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id_competition_type' => Yii::t('app', 'Id Competition Type'),
            'name' => Yii::t('app', 'Name'),
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getEventsSkills()
    {
        return $this->hasMany(EventsSkills::className(), ['id_competition_type' => 'id_competition_type']);
    }

    /**
     * @inheritdoc
     * @return \app\models\query\CompetitionTypeQuery the active query used by this AR class.
     */
    public static function find()
    {
        return new \app\models\query\CompetitionTypeQuery(get_called_class());
    }
}
