<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "documents_type".
 *
 * @property int $id_document_type
 * @property string $name
 *
 * @property Participant[] $participants
 */
class DocumentType extends BaseModel
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'documents_type';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['name'], 'required'],
            [['name'], 'string', 'max' => 100],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id_document_type' => Yii::t('app', 'Id_documento_tipo'),
            'name' => Yii::t('app', 'Nome'),
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getParticipants()
    {
        return $this->hasMany(Participant::className(), ['id_document_type' => 'id_document_type']);
    }

    /**
     * @inheritdoc
     * @return \app\models\query\DocumentTypeQuery the active query used by this AR class.
     */
    public static function find()
    {
        return new \app\models\query\DocumentTypeQuery(get_called_class());
    }

    /**
     * @return bool
     */
    public function canDelete()
    {
        return !(bool)self::find()
            ->andWhere(['{{%documents_type}}.id_document_type' => $this->id_document_type])
            ->innerJoinWith('participants')
            ->exists();
    }
}
