<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "education".
 *
 * @property int $id_education
 * @property string $name
 *
 * @property Participant[] $participants
 */
class Education extends BaseModel
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'education';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['name'], 'required'],
            [['name'], 'string', 'max' => 100],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id_education' => Yii::t('app', 'Id_habilitacao_escolar'),
            'name' => Yii::t('app', 'Nome'),
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getParticipants()
    {
        return $this->hasMany(Participant::className(), ['id_education' => 'id_education']);
    }

    /**
     * @inheritdoc
     * @return \app\models\query\EducationQuery the active query used by this AR class.
     */
    public static function find()
    {
        return new \app\models\query\EducationQuery(get_called_class());
    }

    /**
     * @return bool
     */
    public function canDelete()
    {
        return !(bool)self::find()->andWhere(['{{%education}}.id_education' => $this->id_education])->innerJoinWith('participants')->exists();
    }
}
