<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "entity_scope".
 *
 * @property int $id_entity_scope
 * @property string $name
 *
 * @property Entity[] $entities
 */
class EntityScope extends BaseModel
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'entity_scope';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['name'], 'required'],
            [['name'], 'string', 'max' => 100],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id_entity_scope' => Yii::t('app', 'Id_tipo_entidade'),
            'name' => Yii::t('app', 'Nome'),
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getEntities()
    {
        return $this->hasMany(Entity::className(), ['id_entity_scope' => 'id_entity_scope']);
    }

    /**
     * @inheritdoc
     * @return \app\models\query\EntityScopeQuery the active query used by this AR class.
     */
    public static function find()
    {
        return new \app\models\query\EntityScopeQuery(get_called_class());
    }

    /**
     * @return bool
     */
    public function canDelete()
    {
        return !(bool)self::find()->andWhere(['{{%entity_scope}}.id_entity_scope' => $this->id_entity_scope])->innerJoinWith('entities')->exists();
    }
}
