<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "events_kind".
 *
 * @property int $id_event_kind
 * @property string $name
 *
 * @property Event[] $events
 */
class EventKind extends BaseModel
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'events_kind';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['id_event_kind', 'name'], 'required'],
            [['id_event_kind'], 'integer'],
            [['name'], 'string', 'max' => 100],
            [['id_event_kind'], 'unique'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id_event_kind' => Yii::t('app', 'Id_tipo_evento'),
            'name' => Yii::t('app', 'Nome'),
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getEvents()
    {
        return $this->hasMany(Event::className(), ['id_event_kind' => 'id_event_kind']);
    }

    /**
     * @inheritdoc
     * @return \app\models\query\EventKindQuery the active query used by this AR class.
     */
    public static function find()
    {
        return new \app\models\query\EventKindQuery(get_called_class());
    }

    /**
     * @return bool
     */
    public function canDelete()
    {
        return !(bool)self::find()
            ->andWhere(['{{%events_kind}}.id_event_kind' => $this->id_event_kind])
            ->innerJoinWith('events')
            ->exists();
    }
}
