<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "events_participants_state".
 *
 * @property int $id_event_participant_state
 * @property string $name
 *
 * @property EventsParticipants[] $eventsParticipants
 */
class EventParticipantState extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'events_participants_state';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['name'], 'required'],
            [['name'], 'string', 'max' => 100],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id_event_participant_state' => Yii::t('app', 'Id Event Participant State'),
            'name' => Yii::t('app', 'Name'),
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getEventsParticipants()
    {
        return $this->hasMany(EventsParticipants::className(), ['id_event_participant_state' => 'id_event_participant_state']);
    }

    /**
     * @inheritdoc
     * @return \app\models\query\EventParticipantStateQuery the active query used by this AR class.
     */
    public static function find()
    {
        return new \app\models\query\EventParticipantStateQuery(get_called_class());
    }
}
