<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "gender".
 *
 * @property string $id_gender
 * @property string $name
 *
 * @property Participants[] $participants
 */
class Gender extends BaseModel
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'gender';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['id_gender', 'name'], 'required'],
            [['id_gender'], 'string', 'max' => 1],
            [['name'], 'string', 'max' => 25],
            [['id_gender'], 'unique'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id_gender' => Yii::t('app', 'Id Gender'),
            'name' => Yii::t('app', 'Name'),
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getParticipants()
    {
        return $this->hasMany(Participants::className(), ['id_gender' => 'id_gender']);
    }

    /**
     * @inheritdoc
     * @return \app\models\query\GenderQuery the active query used by this AR class.
     */
    public static function find()
    {
        return new \app\models\query\GenderQuery(get_called_class());
    }

    public function canDelete()
    {
        // TODO: Ajustar implementação.
        return true;
    }
}
