<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "nationalities".
 *
 * @property int $id_nationality
 * @property string $name
 *
 * @property Participant[] $participants
 */
class Nationality extends BaseModel
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'nationalities';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['name'], 'required'],
            [['name'], 'string', 'max' => 100],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id_nationality' => Yii::t('app', 'Id_nacionalidade'),
            'name' => Yii::t('app', 'Nome'),
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getParticipants()
    {
        return $this->hasMany(Participant::className(), ['id_nationality' => 'id_nationality']);
    }

    /**
     * @inheritdoc
     * @return \app\models\query\NationalityQuery the active query used by this AR class.
     */
    public static function find()
    {
        return new \app\models\query\NationalityQuery(get_called_class());
    }

    /**
     * @return bool
     */
    public function canDelete()
    {
        return !(bool)self::find()
            ->andWhere(['{{%nationalities}}.id_nationality' => $this->id_nationality])
            ->innerJoinWith('participants')
            ->exists();
    }
}
