<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "organization_region".
 *
 * @property int $id_organization_region
 * @property string $name
 *
 * @property EntityRegistration[] $entitiesRegistrations
 * @property Zone2[] $zone2s
 */
class OrganizationRegion extends BaseModel
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'organization_region';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['name'], 'required'],
            [['name'], 'string', 'max' => 100],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id_organization_region' => Yii::t('app', 'Id_regiao_organizacao'),
            'name' => Yii::t('app', 'Nome'),
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getEntitiesRegistrations()
    {
        return $this->hasMany(EntityRegistration::className(), ['id_organization_region' => 'id_organization_region']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getZone2s()
    {
        return $this->hasMany(Zone2::className(), ['id_organization_region' => 'id_organization_region']);
    }

    /**
     * @inheritdoc
     * @return \app\models\query\OrganizationRegionQuery the active query used by this AR class.
     */
    public static function find()
    {
        return new \app\models\query\OrganizationRegionQuery(get_called_class());
    }

    /**
     * @return bool
     */
    public function canDelete()
    {
        $canDelete = !(bool)self::find()->andWhere(['{{%organization_region}}.id_organization_region' => $this->id_organization_region])->innerJoinWith('entitiesRegistrations')->exists();
        $canDelete = $canDelete && !(bool)self::find()->andWhere(['{{%organization_region}}.id_organization_region' => $this->id_organization_region])->innerJoinWith('zone2s')->exists();

        return $canDelete;
    }
}
