<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "participants_type".
 *
 * @property int $id_participant_type
 * @property string $name
 * @property int $id_participant_type_category
 * @property int $allow_external_registration
 *
 * @property EventsParticipants[] $eventsParticipants
 * @property ParticipantsTypeCategory $participantTypeCategory
 */
class ParticipantType extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'participants_type';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['id_participant_type', 'name', 'id_participant_type_category', 'allow_external_registration'], 'required'],
            [['id_participant_type', 'id_participant_type_category', 'allow_external_registration'], 'integer'],
            [['name'], 'string', 'max' => 100],
            [['id_participant_type'], 'unique'],
            [['id_participant_type_category'], 'exist', 'skipOnError' => true, 'targetClass' => ParticipantsTypeCategory::className(), 'targetAttribute' => ['id_participant_type_category' => 'id_participant_type_category']],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id_participant_type' => Yii::t('app', 'Id Participant Type'),
            'name' => Yii::t('app', 'Name'),
            'id_participant_type_category' => Yii::t('app', 'Id Participant Type Category'),
            'allow_external_registration' => Yii::t('app', 'Allow External Registration'),
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getEventsParticipants()
    {
        return $this->hasMany(EventsParticipants::className(), ['id_participant_type' => 'id_participant_type']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getParticipantTypeCategory()
    {
        return $this->hasOne(ParticipantsTypeCategory::className(), ['id_participant_type_category' => 'id_participant_type_category']);
    }

    /**
     * @inheritdoc
     * @return \app\models\query\ParticipantTypeQuery the active query used by this AR class.
     */
    public static function find()
    {
        return new \app\models\query\ParticipantTypeQuery(get_called_class());
    }
}
