<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "registration_status".
 *
 * @property int $id_registration_status
 * @property string $name
 *
 * @property EntitiesRegistration[] $entitiesRegistrations
 */
class RegistrationStatus extends BaseModel
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'registration_status';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['name'], 'required'],
            [['name'], 'string', 'max' => 100],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id_registration_status' => Yii::t('app', 'Id Registration Status'),
            'name' => Yii::t('app', 'Name'),
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getEntitiesRegistrations()
    {
        return $this->hasMany(EntitiesRegistration::className(), ['id_registration_status' => 'id_registration_status']);
    }

    /**
     * @inheritdoc
     * @return \app\models\query\RegistrationStatusQuery the active query used by this AR class.
     */
    public static function find()
    {
        return new \app\models\query\RegistrationStatusQuery(get_called_class());
    }

    public function canDelete()
    {
        // TODO: Ajustar implementação.
        return true;
    }
}
