<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "venues_sections".
 *
 * @property int $id_venue_section
 * @property string $name
 * @property string $id_event
 * @property string $notes
 *
 * @property Event $event
 * @property EventSkill[] $eventsSkills
 */
class VenueSection extends BaseModel
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'venues_sections';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['name', 'id_event'], 'required'],
            [['notes'], 'string'],
            [['name'], 'string', 'max' => 100],
            [['id_event'], 'string', 'max' => 10],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id_venue_section' => Yii::t('app', 'Id_evento_seccao'),
            'name' => Yii::t('app', 'Nome'),
            'id_event' => Yii::t('app', 'Id_evento'),
            'notes' => Yii::t('app', 'Notas'),
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getEventsSkills()
    {
        return $this->hasMany(EventSkill::className(), ['id_venue_section' => 'id_venue_section']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getEvent()
    {
        return $this->hasOne(Event::className(), ['id_event' => 'id_event']);
    }

    /**
     * @inheritdoc
     * @return \app\models\query\VenueSectionQuery the active query used by this AR class.
     */
    public static function find()
    {
        return new \app\models\query\VenueSectionQuery(get_called_class());
    }

    /**
     * @return bool
     */
    public function canDelete()
    {
        $innerJoinWith = self::find()
            ->andWhere(['{{%venues_sections}}.id_venue_section' => $this->id_venue_section])
            ->innerJoinWith('eventsSkills');
        $asdasd  = $innerJoinWith->createCommand()->rawSql;

        $exists = (bool)$innerJoinWith
            ->exists();
        return !$exists;
//
//        return !(bool)$this->getEventsSkills()->exists();
    }
}
