<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "vocation_skills_type".
 *
 * @property int $id_vocational_skills_type
 * @property string $name
 *
 * @property Participant[] $participants
 */
class VocationSkillType extends BaseModel
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'vocation_skills_type';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['name'], 'required'],
            [['name'], 'string', 'max' => 100],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id_vocational_skills_type' => Yii::t('app', 'Id_formacao_profissional'),
            'name' => Yii::t('app', 'Nome'),
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getParticipants()
    {
        return $this->hasMany(Participant::className(), ['id_vocational_skills_type' => 'id_vocational_skills_type']);
    }

    /**
     * @inheritdoc
     * @return \app\models\query\VocationSkillTypeQuery the active query used by this AR class.
     */
    public static function find()
    {
        return new \app\models\query\VocationSkillTypeQuery(get_called_class());
    }

    /**
     * @return bool
     */
    public function canDelete()
    {
        return !(bool)self::find()
            ->andWhere(['{{%vocation_skills_type}}.id_vocational_skills_type' => $this->id_vocational_skills_type])
            ->innerJoinWith('participants')
            ->exists();
    }
}
