<?php

namespace app\models;

use app\components\validators\NoSpaceValidator;
use Yii;

/**
 * This is the model class for table "zone1".
 *
 * @property string $id_zone1
 * @property string $name
 *
 * @property Entity[] $entities
 * @property EntityRegistration[] $entitiesRegistrations
 * @property Participant[] $participants
 * @property Zone2[] $zone2s
 */
class Zone1 extends BaseModel
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'zone1';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['id_zone1', 'name'], 'required'],
            [['id_zone1'], 'string', 'max' => 25],
            [['id_zone1'], NoSpaceValidator::class],
            [['name'], 'string', 'max' => 100],
            [['id_zone1'], 'unique'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'id_zone1' => Yii::t('app', 'Id_distrito'),
            'name' => Yii::t('app', 'Nome'),
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getEntities()
    {
        return $this->hasMany(Entity::className(), ['id_zone1' => 'id_zone1']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getEntitiesRegistrations()
    {
        return $this->hasMany(EntityRegistration::className(), ['id_zone1' => 'id_zone1']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getParticipants()
    {
        return $this->hasMany(Participant::className(), ['id_zone1' => 'id_zone1']);
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getZone2s()
    {
        return $this->hasMany(Zone2::className(), ['id_zone1' => 'id_zone1']);
    }

    /**
     * @inheritdoc
     * @return \app\models\query\Zone1Query the active query used by this AR class.
     */
    public static function find()
    {
        return new \app\models\query\Zone1Query(get_called_class());
    }

    /**
     * @return bool
     */
    public function canDelete()
    {
        $canDelete = !(bool)self::find()->andWhere(['{{%zone1}}.id_zone1' => $this->id_zone1])->innerJoinWith('zone2s')->exists();
        $canDelete = $canDelete && !(bool)self::find()->andWhere(['{{%zone1}}.id_zone1' => $this->id_zone1])->innerJoinWith('entitiesRegistrations')->exists();
        $canDelete = $canDelete && !(bool)self::find()->andWhere(['{{%zone1}}.id_zone1' => $this->id_zone1])->innerJoinWith('participants')->exists();
        $canDelete = $canDelete && !(bool)self::find()->andWhere(['{{%zone1}}.id_zone1' => $this->id_zone1])->innerJoinWith('entities')->exists();

        return $canDelete;
    }
}
