<?php

namespace app\models\search;

use app\models\AccessManager;
use yii\base\Model;
use yii\data\ActiveDataProvider;

/**
 * AccessManagerSearch represents the model behind the search form of `\app\models\AccessManager`.
 */
class AccessManagerSearch extends AccessManager
{
    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['id_access_manager', 'access_all_platform_manager', 'access_all_participants', 'access_restricted_logins'], 'integer'],
            [['name', 'id_event', 'restricted_logins_list'], 'safe'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function scenarios()
    {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params)
    {
        $query = AccessManager::find();

        // add conditions that should always apply here

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
            'pagination' => [
                'pageSize' => 40,
            ],
        ]);

        $this->load($params);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }

        // grid filtering conditions
        $query->andFilterWhere([
            'id_access_manager' => $this->id_access_manager,
            'access_all_platform_manager' => $this->access_all_platform_manager,
            'access_all_participants' => $this->access_all_participants,
            'access_restricted_logins' => $this->access_restricted_logins,
        ]);

        $query->andFilterWhere(['like', 'name', $this->name])
            ->andFilterWhere(['like', 'id_event', $this->id_event])
            ->andFilterWhere(['like', 'restricted_logins_list', $this->restricted_logins_list]);

        return $dataProvider;
    }
}
