<?php

namespace app\models\search;

use app\models\Cycle;
use yii\base\Model;
use yii\data\ActiveDataProvider;

/**
 * CycleSearch represents the model behind the search form of `\app\models\Cycle`.
 */
class CycleSearch extends Cycle
{
    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['id_cycle', 'active'], 'integer'],
            [['name', 'date_start', 'date_end'], 'safe'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function scenarios()
    {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params)
    {
        $query = Cycle::find();

        // add conditions that should always apply here

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
            'pagination' => [
                'pageSize' => 40,
            ],
        ]);

        $this->load($params);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }

        // grid filtering conditions
        $query->andFilterWhere([
            'id_cycle' => $this->id_cycle,
            'date_start' => $this->date_start,
            'date_end' => $this->date_end,
            'active' => $this->active,
        ]);

        $query->andFilterWhere(['like', 'name', $this->name]);

        return $dataProvider;
    }
}
