<?php

namespace app\models\search;

use app\models\EventParticipantView;
use yii\base\Model;
use yii\data\ActiveDataProvider;

class EventParticipantViewSearch extends EventParticipantView
{
    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [[array_keys($this->attributes), 'safe']];
    }

    /**
     * @inheritdoc
     */
    public function scenarios()
    {
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params)
    {
        $query = EventParticipantView::find();

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
            'pagination' => [
                'pageSize' => 40,
            ],
        ]);

        $this->load($params);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }

        $query->andFilterWhere([
            'id_entity' => $this->id_entity,
            'id_participant' => $this->id_participant,
            'id_participant_type' => $this->id_participant_type,
            'id_event_participant_state' => $this->id_event_participant_state,
            'id_event_skill' => $this->id_event_skill,
            'id_cluster' => $this->id_cluster,
            'id_venue_section' => $this->id_venue_section,
            'id_organization_region' => $this->id_organization_region,
            'id_nationality' => $this->id_nationality,
            'id_document_type' => $this->id_document_type,
            'id_zone1' => $this->id_zone1,
            'id_zone2' => $this->id_zone2,
            'id_zone3' => $this->id_zone3,
            'id_education' => $this->id_education,
            'id_vocational_skills_type' => $this->id_vocational_skills_type,
            'id_gender' => $this->id_gender,
            'tshirt_size' => $this->tshirt_size,
            'id_entity_current' => $this->id_entity_current,
            'id_event' => $this->id_event,
            'dietary_restriction' => $this->dietary_restriction,
            'dr01' => $this->dr01,
            'dr02' => $this->dr02,
            'dr03' => $this->dr03,
            'dr04' => $this->dr04,
            'dr05' => $this->dr05,
            'dr06' => $this->dr06,
            'dr07' => $this->dr07,
            'dr08' => $this->dr08,
            'picture' => $this->picture,
            'hasImageRights' => $this->hasImageRights,
        ]);

        $query->andFilterWhere(['like', 'id_event_participant', $this->id_event_participant]);
        $query->andFilterWhere(['like', 'nickname', $this->nickname]);
        $query->andFilterWhere(['like', 'email', $this->email]);
        $query->andFilterWhere(['like', 'date_birth', $this->date_birth]);
        $query->andFilterWhere(['like', 'place_of_birth', $this->place_of_birth]);
        $query->andFilterWhere(['like', 'identification_number', $this->identification_number]);
        $query->andFilterWhere(['like', 'date_expiration', $this->date_expiration]);
        $query->andFilterWhere(['like', 'tax_number', $this->tax_number]);
        $query->andFilterWhere(['like', 'social_security_number', $this->social_security_number]);
        $query->andFilterWhere(['like', 'address', $this->address]);
        $query->andFilterWhere(['like', 'city', $this->city]);
        $query->andFilterWhere(['like', 'postal_code', $this->postal_code]);
        $query->andFilterWhere(['like', 'iban', $this->iban]);
        $query->andFilterWhere(['like', 'extra01', $this->extra01]);
        $query->andFilterWhere(['like', 'extra02', $this->extra02]);
        $query->andFilterWhere(['like', 'extra03', $this->extra03]);
        $query->andFilterWhere(['like', 'extra04', $this->extra04]);
        $query->andFilterWhere(['like', 'extra05', $this->extra05]);
        $query->andFilterWhere(['like', 'extra06', $this->extra06]);
        $query->andFilterWhere(['like', 'extra07', $this->extra07]);
        $query->andFilterWhere(['like', 'extra08', $this->extra08]);
        $query->andFilterWhere(['like', 'extra09', $this->extra09]);
        $query->andFilterWhere(['like', 'extra10', $this->extra10]);
        $query->andFilterWhere(['like', 'dr_other', $this->dr_other]);

        return $dataProvider;
    }
}
