<?php

namespace app\models\search;

use Yii;
use yii\base\Model;
use yii\data\ActiveDataProvider;
use app\models\EventSkill;

/**
 * EventSkillSearch represents the model behind the search form of `\app\models\EventSkill`.
 */
class EventSkillSearch extends EventSkill
{
    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['id_event_skill', 'id_event', 'id_skill', 'name', 'id_cluster', 'date_born_start', 'date_born_end', 'notes'], 'safe'],
            [['id_competition_type', 'id_venue_section'], 'integer'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function scenarios()
    {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params)
    {
        $query = EventSkill::find();

        // add conditions that should always apply here

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
            'pagination' => [
                'pageSize' => 40,
            ],
        ]);

        $this->load($params);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }

        // grid filtering conditions
        $query->andFilterWhere([
            'id_competition_type' => $this->id_competition_type,
            'id_venue_section' => $this->id_venue_section,
            'date_born_start' => $this->date_born_start,
            'date_born_end' => $this->date_born_end,
        ]);

        $query->andFilterWhere(['like', 'id_event_skill', $this->id_event_skill])
            ->andFilterWhere(['like', 'id_event', $this->id_event])
            ->andFilterWhere(['like', 'id_skill', $this->id_skill])
            ->andFilterWhere(['like', 'name', $this->name])
            ->andFilterWhere(['like', 'id_cluster', $this->id_cluster])
            ->andFilterWhere(['like', 'notes', $this->notes]);

        return $dataProvider;
    }
}
