<?php

namespace app\models\search;

use Yii;
use yii\base\Model;
use yii\data\ActiveDataProvider;
use app\models\VenueSection;

/**
 * VenueSectionSearch represents the model behind the search form of `\app\models\VenueSection`.
 */
class VenueSectionSearch extends VenueSection
{
    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['id_venue_section'], 'integer'],
            [['name', 'id_event', 'notes'], 'safe'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function scenarios()
    {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params)
    {
        $query = VenueSection::find();

        // add conditions that should always apply here

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
            'pagination' => [
                'pageSize' => 40,
            ],
        ]);

        $this->load($params);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }

        // grid filtering conditions
        $query->andFilterWhere([
            'id_venue_section' => $this->id_venue_section,
        ]);

        $query->andFilterWhere(['like', 'name', $this->name])
            ->andFilterWhere(['like', 'id_event', $this->id_event])
            ->andFilterWhere(['like', 'notes', $this->notes]);

        return $dataProvider;
    }
}
