<?php

namespace app\models\search;

use app\models\Zone2;
use yii\base\Model;
use yii\data\ActiveDataProvider;

/**
 * Zone2Search represents the model behind the search form of `\app\models\Zone2`.
 */
class Zone2Search extends Zone2
{
    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['id_zone2', 'name', 'id_zone1'], 'safe'],
            [['id_organization_region'], 'integer'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function scenarios()
    {
        // bypass scenarios() implementation in the parent class
        return Model::scenarios();
    }

    /**
     * Creates data provider instance with search query applied
     *
     * @param array $params
     *
     * @return ActiveDataProvider
     */
    public function search($params)
    {
        $query = Zone2::find();

        // add conditions that should always apply here

        $dataProvider = new ActiveDataProvider([
            'query' => $query,
            'pagination' => [
                'pageSize' => 40,
            ],
        ]);

        $this->load($params);

        if (!$this->validate()) {
            // uncomment the following line if you do not want to return any records when validation fails
            // $query->where('0=1');
            return $dataProvider;
        }

        // grid filtering conditions
        $query->andFilterWhere([
            'id_organization_region' => $this->id_organization_region,
        ]);

        $query->andFilterWhere(['like', 'id_zone2', $this->id_zone2])
            ->andFilterWhere(['like', 'name', $this->name])
            ->andFilterWhere(['like', 'id_zone1', $this->id_zone1]);

        return $dataProvider;
    }
}
