<?php

namespace app\modules\user\components;

use Yii;

class User extends \yii\web\User
{
    public $identityClass = 'app\modules\user\models\User';

    public $enableAutoLogin = true;

    public $loginUrl = ["/user/login"];

    public function getIsGuest()
    {
        $user = $this->getIdentity();

        if ($user && $user->banned_at) 
        {
            $this->logout();
            Yii::$app->getResponse()->redirect(['/'])->send();
        }

        return $user === null;
    }

    public function getIsLoggedIn()
    {
        return !$this->getIsGuest();
    }

    public function afterLogin($identity, $cookieBased, $duration)
    {
        $identity->updateLoginMeta();
        parent::afterLogin($identity, $cookieBased, $duration);
    }

    public function getDisplayName()
    {
        $user = $this->getIdentity();
        return $user ? $user->getDisplayName() : "";
    }

    public function can($permissionName, $params = [], $allowCaching = true)
    {
        $auth = Yii::$app->getAuthManager();
        if ($auth) 
        {
            return parent::can($permissionName, $params, $allowCaching);
        }

        $user = $this->getIdentity();
        return $user ? $user->can($permissionName) : false;
    }
}
