<?php

use kartik\form\ActiveForm;
use kartik\helpers\Html;
use app\components\metronic\bundles\pages\styles\LoginAsset;

$this->title = Yii::t('app', 'Login');

$js = <<<JS
   
    $('#login-form input').keypress(function (e) 
    {
        if (e.which == 13) 
        {
            $('form#login-form').submit();
            return false;
        }
    });
        
JS;

$this->registerJs($js);

LoginAsset::register($this);

?>

<?php $form = ActiveForm::begin(['id' => 'login-form']) ?>


<h5 class="form-title font-green" style="font-weight:bold;text-align:center;">
SIGSKILLS <br />
Sistema Integrado de Gestão SkillsPortugal
</h5>

<div class="alert alert-danger display-hide">
    <button class="close" data-close="alert"></button>
    <span> <?= Yii::t('app', 'Informe o usuário e a senha.') ?></span>
</div>

<?= $form->field($model, 'email')
    ->textInput(['placeholder' => Yii::t('app', 'Email de utilizador'), 'class' => 'form-control-solid placeholder-no-fix'])
    ->label(null, ['class' => ' visible-ie8 visible-ie9']) ?>

<?= $form->field($model, 'password')
    ->passwordInput(['placeholder' => Yii::t('app', 'Password'), 'class' => 'form-control-solid placeholder-no-fix'])
    ->label(null, ['class' => ' visible-ie8 visible-ie9']) ?>

<?= Html::a(Yii::t('app', 'Recuperar a password'), ['forgot']) ?>

<div class="form-actions">

    <?= Html::submitButton(Yii::t('user', 'Continuar'), ['class' => 'btn btn-success green uppercase pull-right ladda-button', 'data-style' => 'zoom-in']) ?><br>

</div>

<?php ActiveForm::end(); ?>
