<?php

use app\helpers\ActiveForm;
use kartik\helpers\Html;
use kartik\widgets\Select2;

/* @var $this yii\web\View */
/* @var $model app\models\AccessManager */
/* @var $form ActiveForm */
?>
<div class="row">
    <div class="col-sm-12 col-lg-12">
        <div class="access-manager-form">
            <div class="portlet light bordered">
                <div class="portlet-body form">
                    <?php $form = ActiveForm::begin(['type' => ActiveForm::TYPE_HORIZONTAL, 'formConfig' => ['labelSpan' => 3]]); ?>
                    <p class="text-right">
                        <?= Html::a(Html::icon('menu-left') . ' ' . Yii::t('app', 'Voltar'), ['index'], ['class' => 'btn default']) ?>
                    </p>

                    <?= $form->field($model, 'id_event')->widget(Select2::className(), [
                        'data' => \app\models\Event::find()
                            ->select(['id_event', 'name' => new \yii\db\Expression('CONCAT("ID:",id_event,\' - \',name)')])
                            ->createCommand()
                            ->queryAll(\PDO::FETCH_KEY_PAIR),
                        'options' => ['placeholder' => '', 'class' => 'text-left', 'id' => 'main-id_event-select2',],
                        'pluginOptions' => [
                            'allowClear' => true,
                        ],
                    ]); ?>

                    <?= $form->field($model, 'access_all_platform_manager')->switchSimNao() ?>

                    <?= $form->field($model, 'access_all_participants')->switchSimNao() ?>

                    <?= $form->field($model, 'access_restricted_logins')->switchSimNao() ?>

                    <?= $form->field($model, 'restricted_logins_list')->textarea(['rows' => 6]) ?>

                    <?= $this->render('@layouts/_btnFormActions') ?>
                    <?php ActiveForm::end(); ?>

                </div>
            </div>
        </div>
    </div>
</div>
