<?php

use yii\widgets\DetailView;

/* @var $this yii\web\View */
/* @var $model app\models\AccessManager */

$this->title = "ID:{$model->id_access_manager} - " . $model->name;
$this->params['breadcrumbs'][] = ['label' => Yii::t('app', 'Gestão de Acessos'), 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="row">
    <div class="col-sm-12 col-lg-12">
        <div class="access-manager-view">
            <div class="portlet light bordered">
                <div class="portlet-body form">
                    <p><?= $this->render('@layouts/_btnViewActions', ['canDelete' => $model->canDelete(), 'modelId' => $model->id_access_manager]) ?></p>

                    <div class="row">
                        <div class="col-md-12">
                            <?= DetailView::widget([
                                'model' => $model,
                                'options' => ['class' => 'table table-striped detail-view'],
                                'attributes' => [
                                    [
                                        'attribute' => 'id_access_manager',
                                        'captionOptions' => ['class' => 'col-xs-4'],
                                        'contentOptions' => ['class' => 'col-xs-8'],
                                    ],
                                    'name',
                                    [
                                        'attribute' => 'id_event',
                                        'value' => $model->id_event ? "ID:{$model->id_event} - {$model->event->name}" : null,
                                    ],
                                    'access_all_platform_manager:boolean',
                                    'access_all_participants:boolean',
                                    'access_restricted_logins:boolean',
                                    'restricted_logins_list:ntext',
                                ],
                            ]) ?>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
