<?php

use app\helpers\ActiveForm;
use kartik\datecontrol\DateControl;
use kartik\helpers\Html;

/* @var $this yii\web\View */
/* @var $model app\models\Cycle */
/* @var $form ActiveForm */
?>
<div class="row">
    <div class="col-sm-12 col-lg-12">
        <div class="cycle-form">
            <div class="portlet light bordered">
                <div class="portlet-body form">
                    <?php $form = ActiveForm::begin([
                        'type' => ActiveForm::TYPE_HORIZONTAL,
                        'validateOnBlur' => false,
                        'validateOnChange' => false,
                        'validateOnSubmit' => true,
                        'formConfig' => ['labelSpan' => 3],
                    ]); ?>
                    <p class="text-right">
                        <?= Html::a(Html::icon('menu-left') . ' ' . Yii::t('app', 'Voltar'), ['index'], ['class' => 'btn default']) ?>
                    </p>
                    <?= $form->field($model, 'name')->textInput(['maxlength' => true]) ?>

                    <?= $form->field($model, 'date_start')->widget(DateControl::className(), [
                        'type' => DateControl::FORMAT_DATE,
                        'widgetOptions' => [
                            'removeButton' => false,
                            'pluginOptions' => [
                                'autoclose' => true,
                            ],
                        ],
                    ]); ?>

                    <?= $form->field($model, 'date_end')->widget(DateControl::className(), [
                        'type' => DateControl::FORMAT_DATE,
                        'widgetOptions' => [
                            'removeButton' => false,
                            'pluginOptions' => [
                                'autoclose' => true,
                            ],
                        ],
                    ]); ?>

                    <?= $form->field($model, 'active')->switchSimNao() ?>

                    <?= $this->render('@layouts/_btnFormActions') ?>
                    <?php ActiveForm::end(); ?>

                </div>
            </div>
        </div>
    </div>
</div>
