<?php

use app\components\enum\EnumBoolSimNao;
use kartik\datecontrol\DateControl;
use app\helpers\ActionColumn;
use kartik\grid\GridView;
use kartik\helpers\Html;

/* @var $this yii\web\View */
/* @var $searchModel app\models\search\CycleSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = Yii::t('app', 'Gerir Ciclos');
$this->params['breadcrumbs'][] = $this->title;
$gridParams = \app\helpers\IndexGridHelper::gridParams($this, Yii::t('app', 'Ciclo'));
?>
<div class="cycle-index">
    <div class="portlet light bordered">
        <div class="portlet-body form">

            <?= GridView::widget([
                'dataProvider' => $dataProvider,
                'filterModel' => $searchModel,
                'columns' => [

                    [
                        'attribute' => 'id_cycle',
                        'headerOptions' => ['style' => 'font-size:90%;'],
                        'contentOptions' => ['style' => 'font-size:90%;'],
                        'format' => 'text',
                        'filter' => Html::activeTextInput($searchModel, 'id_cycle', ['class' => 'form-control input-sm']),
                    ],
                    [
                        'attribute' => 'name',
                        'headerOptions' => ['style' => 'font-size:90%;'],
                        'contentOptions' => ['style' => 'font-size:90%;'],
                        'format' => 'text',
                        'filter' => Html::activeTextInput($searchModel, 'name', ['class' => 'form-control input-sm']),
                    ],
                    [
                        'attribute' => 'date_start',
                        'headerOptions' => ['style' => 'font-size:90%;'],
                        'contentOptions' => ['style' => 'font-size:90%;'],
                        'filter' => DateControl::widget([
                            'model' => $searchModel,
                            'attribute' => 'date_start',
                            'type' => DateControl::FORMAT_DATE,
                            'widgetOptions' => [
                                'size' => 'sm',
                                'pluginOptions' => [
                                    'autoclose' => true,
                                ],
                            ],
                        ]),
                    ],
                    [
                        'attribute' => 'date_end',
                        'headerOptions' => ['style' => 'font-size:90%;'],
                        'contentOptions' => ['style' => 'font-size:90%;'],
                        'filter' => DateControl::widget([
                            'model' => $searchModel,
                            'attribute' => 'date_end',
                            'type' => DateControl::FORMAT_DATE,
                            'widgetOptions' => [
                                'size' => 'sm',
                                'pluginOptions' => [
                                    'autoclose' => true,
                                ],
                            ],
                        ]),
                    ],
                    [
                        'attribute' => 'active',
                        'headerOptions' => ['style' => 'font-size:90%;'],
                        'contentOptions' => ['style' => 'font-size:90%;'],
                        'filter' => Html::activeDropDownList($searchModel, 'active', EnumBoolSimNao::$listEnumLabels, ['class' => 'form-control input-sm', 'prompt' => ' ']),
                        'format' => 'boolean',
                    ],

                    [
                        'class' => ActionColumn::class,
                        'hiddenFromExport' => true,
                        'headerOptions' => ['style' => 'font-size:90%;'],
                        'contentOptions' => ['style' => ['white-space' => 'nowrap'],
                                             'class' => 'actions-column'],
                    ],

                ],
                'containerOptions' => $gridParams['containerOptions'],
                'headerRowOptions' => $gridParams['headerRowOptions'],
                'filterRowOptions' => $gridParams['filterRowOptions'],
                'responsiveWrap' => $gridParams['responsiveWrap'],
                'responsive' => $gridParams['responsive'],
                'toolbar' => $gridParams['toolbar'],
                'export' => $gridParams['export'],
                'exportConfig' => $gridParams['exportConfig'],
                'bordered' => $gridParams['bordered'],
                'striped' => $gridParams['striped'],
                'layout' => $gridParams['layout'],
            ]); ?>
        </div>
    </div>
</div>
