<?php

use yii\widgets\DetailView;

/* @var $this yii\web\View */
/* @var $model app\models\Cycle */

$this->title = "ID:{$model->id_cycle} - " . $model->name;
$this->params['breadcrumbs'][] = ['label' => Yii::t('app', 'Gerir Ciclos'), 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="row">
    <div class="col-sm-12 col-lg-12">
        <div class="cycle-view">
            <div class="portlet light bordered">
                <div class="portlet-body form">
                    <p><?= $this->render('@layouts/_btnViewActions', ['canDelete' => $model->canDelete(), 'modelId' => $model->id_cycle]) ?></p>

                    <div class="row">
                        <div class="col-md-12">
                            <?= DetailView::widget([
                                'model' => $model,
                                'options' => ['class' => 'table table-striped detail-view'],
                                'attributes' => [
                                    [
                                        'attribute' => 'id_cycle',
                                        'captionOptions' => ['class' => 'col-xs-4'],
                                        'contentOptions' => ['class' => 'col-xs-8'],
                                    ],
                                    'name',
                                    'date_start',
                                    'date_end',
                                    'active:boolean',
                                ],
                            ]) ?>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
