<?php

use kartik\helpers\Html;
use yii\widgets\DetailView;

/* @var $this yii\web\View */
/* @var $model app\models\Entity */

$this->title = "ID:{$model->id_entity} - " . $model->name;
$this->params['breadcrumbs'][] = ['label' => Yii::t('app', 'Gerir Entidades'), 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="row">
    <div class="col-sm-12 col-lg-12">
        <div class="entity-view">
            <div class="portlet light bordered">
                <div class="portlet-body form">
                    <p><?= $this->render('@layouts/_btnViewActions', ['canDelete' => $model->canDelete(), 'modelId' => $model->id_entity]) ?></p>

                    <div class="row">
                        <div class="col-md-12">
                            <?= DetailView::widget([
                                'model' => $model,
                                'options' => ['class' => 'table table-striped detail-view'],
                                'attributes' => [
                                    [
                                        'attribute' => 'id_entity',
                                        'captionOptions' => ['class' => 'col-xs-4'],
                                        'contentOptions' => ['class' => 'col-xs-8'],
                                    ],
                                    'name',
                                    [
                                        'attribute' => 'id_participant_platform_manager',
                                        'value' => (isset($model->participantPlatformManager->name) ?
                                            "ID:{$model->id_participant_platform_manager} - {$model->participantPlatformManager->name}" : null),
                                    ],
                                    'address',
                                    'city',
                                    'postal_code',
                                    [
                                        'attribute' => 'id_zone1',
                                        'value' => $model->id_zone1 ? "ID:{$model->id_zone1} - {$model->zone1->name}" : null,
                                    ],
                                    [
                                        'attribute' => 'id_zone2',
                                        'value' => $model->id_zone2 ? "ID:{$model->id_zone2} - {$model->zone2->name}" : null,
                                    ],
                                    [
                                        'attribute' => 'id_zone3',
                                        'value' => $model->id_zone3 ? "ID:{$model->id_zone3} - {$model->zone3->name}" : null,
                                    ],
                                    [
                                        'attribute' => 'id_entity_scope',
                                        'value' => $model->id_entity_scope ? "ID:{$model->id_entity_scope} - {$model->entityScope->name}" : null,
                                    ],
                                    'entity_is_main:boolean',
                                    [
                                        'attribute' => 'id_entity_main',
                                        'value' => $model->id_entity_main ? "ID:{$model->id_entity_main} - {$model->entityMain->name}" : null,
                                    ],
                                    [
                                        'attribute' => 'phone',
                                        'value' => (isset($model->participantPlatformManager->name) ?
                                            "ID:{$model->id_participant_platform_manager} - {$model->participantPlatformManager->name}" : null),
                                    ],
                                    'email:email',
                                    'direction_name',
                                    'direction_email:email',
                                    'direction_position',
                                    'alternative_contact_name',
                                    'alternative_contact_email:email',
                                    'alternative_contact_direct_phone',
                                    'notes:ntext',
                                    'active:boolean',
                                ],
                            ]) ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
