<?php

use app\helpers\ActiveForm;
use kartik\helpers\Html;
use kartik\widgets\Select2;
use yii\helpers\ArrayHelper;

/* @var $this yii\web\View */
/* @var $model app\models\EventParticipant */
/* @var $form ActiveForm */
$js = <<<JS
    $('#eventparticipant-id_participant').on('change', function() {

        App.blockUI({target: ".event-participant-form", animate: !0});
          
        $.ajax({
            url: 'entity?id_participant=' + $(this).val()
        })
            .done(function (result) {
                $('#eventparticipant-id_entity').val(result).trigger('change');
            })
            .always(function () {
                App.unblockUI(".event-participant-form");
            });
    });
JS;

$this->registerJs($js);
$id_event = ArrayHelper::getValue(Yii::$app->request->queryParams, 'id_event') ?: $model->eventSkill->id_event;
?>
<div class="row">
    <div class="col-sm-12 col-lg-12">
        <div class="event-participant-form">
            <div class="portlet light bordered">
                <div class="portlet-body form">
                    <?php $form = ActiveForm::begin(['type' => ActiveForm::TYPE_HORIZONTAL, 'formConfig' => ['labelSpan' => 3]]); ?>

                    <p class="text-right">
                        <?= Html::a(
                            Html::icon('menu-left') . ' ' . Yii::t('app', 'Voltar'),
                            ['index', 'EventParticipantSearch' => ['id_event' => $id_event]],
                            ['class' => 'btn default']
                        ) ?>
                    </p>

                    <?= $form->field($model, 'id_participant')->widget(Select2::className(), [
                        'data' => \app\models\Participant::find()
                            ->select(['id_participant', 'name' => new \yii\db\Expression('CONCAT("ID:",id_participant,\' - \',name)')])
                            ->createCommand()
                            ->queryAll(\PDO::FETCH_KEY_PAIR),
                        'options' => ['placeholder' => ''],
                        'pluginOptions' => [
                            'allowClear' => true,
                        ],
                    ]); ?>

                    <?= $form->field($model, 'id_entity')->widget(Select2::className(), [
                        'data' => \app\models\Entity::find()
                            ->select(['id_entity', 'name' => new \yii\db\Expression('CONCAT("ID:",id_entity,\' - \',name)')])
                            ->createCommand()
                            ->queryAll(\PDO::FETCH_KEY_PAIR),
                        'options' => ['placeholder' => ''],
                        'pluginOptions' => [
                            'allowClear' => true,
                        ],
                    ]); ?>

                    <?= $form->field($model, 'id_event_skill')->widget(Select2::className(), [
                        'data' => \app\models\EventSkill::find()
                            ->select(['id_event_skill', 'name' => new \yii\db\Expression('CONCAT("ID:",id_event_skill,\' - \',name)')])
                            ->andWhere(['id_event' => $id_event])
                            ->createCommand()
                            ->queryAll(\PDO::FETCH_KEY_PAIR),
                        'options' => ['placeholder' => ''],
                        'pluginOptions' => [
                            'allowClear' => true,
                        ],
                    ]); ?>

                    <?= $form->field($model, 'id_participant_type')->widget(Select2::className(), [
                        'data' => \app\models\ParticipantType::find()
                            ->select(['id_participant_type', 'name' => new \yii\db\Expression('CONCAT("ID:",id_participant_type,\' - \',name)')])
                            ->createCommand()
                            ->queryAll(\PDO::FETCH_KEY_PAIR),
                        'options' => ['placeholder' => ''],
                        'pluginOptions' => [
                            'allowClear' => true,
                        ],
                    ]); ?>

                    <?= $form->field($model, 'id_event_participant_state')->drop(\app\models\EventParticipantState::find()
                        ->select(['id_event_participant_state', 'name' => new \yii\db\Expression('CONCAT("ID:",id_event_participant_state,\' - \',name)')])
                        ->createCommand()
                        ->queryAll(\PDO::FETCH_KEY_PAIR)); ?>


                    <?= $this->render('@layouts/_btnFormActions') ?>
                    <?php ActiveForm::end(); ?>

                </div>
            </div>
        </div>
    </div>
</div>
