<?php

use kartik\helpers\Html;
use kartik\widgets\ActiveForm;
use kartik\widgets\Select2;

/* @var $this yii\web\View */
/* @var $model app\models\search\EventParticipantSearch */
/* @var $form yii\widgets\ActiveForm */

$this->registerCss('.event-participant-search{max-width:1100px;}')
?>
<h4><?= Yii::t('app', 'Selecione o evento pretendido') ?></h4>
<div class="event-participant-search">

    <?php $form = ActiveForm::begin([
        'method' => 'get',
        'type' => ActiveForm::TYPE_HORIZONTAL, 'formConfig' => ['labelSpan' => 1],
    ]); ?>

    <div class="row">
        <div class="col-sm-10">
            <?= $form->field($model, 'id_event')->widget(Select2::className(), [
                'data' => \app\models\Event::find()
                    ->select(['id_event', 'name' => new \yii\db\Expression('CONCAT("ID:",id_event,\' - \',name)')])
                    ->createCommand()
                    ->queryAll(\PDO::FETCH_KEY_PAIR),
                'options' => ['placeholder' => '', 'class' => 'text-left', 'id' => 'main-id_event-select2',],
                'pluginOptions' => [
                    'allowClear' => true,
                ],
            ]); ?>
        </div>

        <div class="col-sm-2">
            <?= Html::submitButton(Yii::t('app', 'Abrir'), ['class' => 'btn btn-info']) ?>
        </div>
    </div>

    <?php ActiveForm::end(); ?>
</div>
