<?php

use yii\widgets\DetailView;

/* @var $this yii\web\View */
/* @var $model app\models\EventParticipant */

$this->title = "ID:{$model->id_event_participant} - " . $model->participant->name . ' - ' . $model->eventSkill->event->name;
$this->params['breadcrumbs'][] = ['label' => Yii::t('app', 'Evento/Participante'), 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="row">
    <div class="col-sm-12 col-lg-12">
        <div class="event-participant-view">
            <div class="portlet light bordered">
                <div class="portlet-body form">
                    <p>
                        <?= $this->render('@layouts/_btnViewActions', [
                            'backUrl' => ['index', 'EventParticipantSearch' => ['id_event' => $model->eventSkill->id_event]],
                            'canDelete' => $model->canDelete(),
                            'modelId' => $model->id_event_participant,
                        ]) ?>
                    </p>

                    <div class="row">
                        <div class="col-md-12">
                            <?= DetailView::widget([
                                'model' => $model,
                                'options' => ['class' => 'table table-striped detail-view'],
                                'attributes' => [
                                    [
                                        'attribute' => 'id_event_participant',
                                        'captionOptions' => ['class' => 'col-xs-4'],
                                        'contentOptions' => ['class' => 'col-xs-8'],
                                    ],

                                    [
                                        'attribute' => 'id_entity',
                                        'value' => $model->id_entity ? "ID:{$model->id_entity} - {$model->entity->name}" : null,
                                    ],
                                    [
                                        'attribute' => 'id_participant',
                                        'value' => $model->id_participant ? "ID:{$model->id_participant} - {$model->participant->name}" : null,
                                    ],
                                    [
                                        'attribute' => 'id_event_skill',
                                        'value' => $model->id_event_skill ? "ID:{$model->id_event_skill} - {$model->participant->name}" : null,
                                    ],
                                    [
                                        'attribute' => 'id_participant_type',
                                        'value' => $model->id_participant_type ? "ID:{$model->id_participant_type} - {$model->participant->name}" : null,
                                    ],
                                    [
                                        'attribute' => 'id_event_participant_state',
                                        'value' => $model->id_event_participant_state ? "ID:{$model->id_event_participant_state} - {$model->eventParticipantState->name}" : null,
                                    ],
                                ],
                            ]) ?>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
