<?php

use yii\widgets\DetailView;

/* @var $this yii\web\View */
/* @var $model app\models\EventSkill */

$this->title = "ID:{$model->id_event_skill} - " . $model->name;
$this->params['breadcrumbs'][] = ['label' => Yii::t('app', 'Gerir Eventos/Profissões'), 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="row">
    <div class="col-sm-12 col-lg-12">
        <div class="event-skill-view">
            <div class="portlet light bordered">
                <div class="portlet-body form">
                    <p>
                        <?= $this->render('@layouts/_btnViewActions', [
                            'backUrl' => ['index', 'EventSkillSearch' => ['id_event' => $model->id_event]],
                            'canDelete' => $model->canDelete(),
                            'modelId' => $model->id_event_skill,
                        ]) ?>
                    </p>

                    <div class="row">
                        <div class="col-md-12">
                            <?= DetailView::widget([
                                'model' => $model,
                                'options' => ['class' => 'table table-striped detail-view'],
                                'attributes' => [
                                    [
                                        'attribute' => 'id_event_skill',
                                        'captionOptions' => ['class' => 'col-xs-4'],
                                        'contentOptions' => ['class' => 'col-xs-8'],
                                    ],

                                    [
                                        'attribute' => 'id_event',
                                        'value' => $model->id_event ? "ID:{$model->id_event} - {$model->event->name}" : null,
                                    ],
                                    [
                                        'attribute' => 'id_skill',
                                        'value' => $model->id_skill ? "ID:{$model->id_skill} - {$model->skill->name}" : null,
                                    ],
                                    'name',
                                    [
                                        'attribute' => 'id_cluster',
                                        'value' => $model->id_cluster ? "ID:{$model->id_cluster} - {$model->cluster->name}" : null,
                                    ],
                                    [
                                        'attribute' => 'id_competition_type',
                                        'value' => $model->id_competition_type ? "ID:{$model->id_competition_type} - {$model->competitionType->name}" : null,
                                    ],
                                    [
                                        'attribute' => 'id_venue_section',
                                        'value' => $model->id_venue_section ? "ID:{$model->id_venue_section} - {$model->venueSection->name}" : null,
                                    ],
                                    'date_born_start',
                                    'date_born_end',
                                    'notes:ntext',
                                ],
                            ]) ?>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
