<?php

use app\helpers\ActiveForm;
use app\models\Cycle;
use app\models\EventKind;
use kartik\datecontrol\DateControl;
use kartik\helpers\Html;
use kartik\widgets\Select2;

/* @var $this yii\web\View */
/* @var $model app\models\Event */
/* @var $form ActiveForm */
?>
<div class="row">
    <div class="col-sm-12 col-lg-12">
        <div class="event-form">
            <div class="portlet light bordered">
                <div class="portlet-body form">
                    <?php $form = ActiveForm::begin([
                        'validateOnBlur' => false,
                        'validateOnChange' => false,
                        'validateOnSubmit' => true,
                        'type' => ActiveForm::TYPE_HORIZONTAL, 'formConfig' => ['labelSpan' => 3],
                    ]); ?>

                    <p class="text-right">
                        <?= Html::a(Html::icon('menu-left') . ' ' . Yii::t('app', 'Voltar'), ['index'], ['class' => 'btn default']) ?>
                    </p>

                    <?php if ($model->canDelete()) : ?>

                        <?= $form->field($model, 'id_event')->textInput(['maxlength' => true]) ?>

                    <?php else : ?>

                        <?= $form->field($model, 'id_event')->staticInput() ?>

                    <?php endif; ?>

                    <?= $form->field($model, 'name')->textInput(['maxlength' => true]) ?>

                    <?= $form->field($model, 'id_cycle')->widget(Select2::className(), [
                        'data' => Cycle::find()
                            ->select(['id_cycle', 'name' => new \yii\db\Expression('CONCAT("ID:",id_cycle,\' - \',name)')])
                            ->createCommand()
                            ->queryAll(\PDO::FETCH_KEY_PAIR),
                        'options' => ['placeholder' => ''],
                        'pluginOptions' => [
                            'allowClear' => true,
                        ],
                    ]); ?>

                    <?= $form->field($model, 'id_event_kind')->widget(Select2::className(), [
                        'data' => EventKind::find()
                            ->select(['id_event_kind', 'name' => new \yii\db\Expression('CONCAT("ID:",id_event_kind,\' - \',name)')])
                            ->createCommand()
                            ->queryAll(\PDO::FETCH_KEY_PAIR),
                        'options' => ['placeholder' => ''],
                        'pluginOptions' => [
                            'allowClear' => true,
                        ],
                    ]); ?>

                    <?= $form->field($model, 'date_start')->widget(DateControl::className(), [
                        'type' => DateControl::FORMAT_DATE,
                        'widgetOptions' => [
                            'removeButton' => false,
                            'pluginOptions' => [
                                'autoclose' => true,
                            ],
                        ],
                    ]); ?>

                    <?= $form->field($model, 'date_end')->widget(DateControl::className(), [
                        'type' => DateControl::FORMAT_DATE,
                        'widgetOptions' => [
                            'removeButton' => false,
                            'pluginOptions' => [
                                'autoclose' => true,
                            ],
                        ],
                    ]); ?>

                    <?= $form->field($model, 'notes')->textarea(['rows' => 6]) ?>

                    <?= $form->field($model, 'active')->switchSimNao() ?>

                    <?= $this->render('@layouts/_btnFormActions') ?>

                    <?php ActiveForm::end(); ?>

                </div>
            </div>
        </div>
    </div>
</div>
