<?php

use app\helpers\ActiveForm;
use app\models\AdminLevel;
use kartik\helpers\Html;

/* @var $this yii\web\View */
/* @var $model app\models\LoginForm */
/* @var $form ActiveForm */

$js = <<<JS
$('#loginform-isadmin').on('switchChange.bootstrapSwitch', function (event, state) {
        var selectAdminLevel = $('#select-admin-level');
        
        if (state === true) {
            selectAdminLevel.show();
        } else {
            selectAdminLevel.hide();
        }
    });
JS;

$this->registerJs($js);
?>
<div class="row">
    <div class="col-sm-12 col-lg-12">
        <div class="login-form">
            <div class="portlet light bordered">
                <div class="portlet-body form">
                    <?php $form = ActiveForm::begin(['type' => ActiveForm::TYPE_HORIZONTAL, 'formConfig' => ['labelSpan' => 3]]); ?>
                    <p class="text-right">
                        <?= Html::a(Html::icon('menu-left') . ' ' . Yii::t('app', 'Voltar'), ['index'], ['class' => 'btn default']) ?>
                    </p>

                    <?= $form->field($model, 'password')->passwordInput() ?>

                    <?= $form->field($model, 'passwordConfirm')->passwordInput() ?>

                    <?= $form->field($model, 'emailVerified')->switchSimNao() ?>

                    <?= $form->field($model, 'active')->switchSimNao() ?>

                    <?= $form->field($model, 'isAdmin')->switchSimNao() ?>

                    <div id="select-admin-level" <?= $model->isAdmin ? '' : 'style="display: none;"' ?>>
                        <?= $form->field($model, 'adminLevel')
                            ->drop(AdminLevel::find()
                                ->select(['id_admin_level', 'name'])
                                ->andWhere(['!=', 'id_admin_level', AdminLevel::ROLE_USER])
                                ->createCommand()
                                ->queryAll(\PDO::FETCH_KEY_PAIR)) ?>
                    </div>

                    <?= $this->render('@layouts/_btnFormActions') ?>

                    <?php ActiveForm::end(); ?>

                </div>
            </div>
        </div>
    </div>
</div>
