<?php

use yii\widgets\DetailView;

/* @var $this yii\web\View */
/* @var $model app\models\Login */

$this->title = Yii::t('app', 'Login Participante') . ': ' . "ID:{$model->participant->id_participant} - " . $model->participant->name;
$this->params['breadcrumbs'][] = ['label' => Yii::t('app', 'Gerir Logins de Acesso'), 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="row">
    <div class="col-sm-12 col-lg-12">
        <div class="login-view">
            <div class="portlet light bordered">
                <div class="portlet-body form">
                    <p><?= $this->render('@layouts/_btnViewActions', ['canDelete' => $model->canDelete(), 'modelId' => $model->id_login]) ?></p>

                    <div class="row">
                        <div class="col-md-12">
                            <?= DetailView::widget([
                                'model' => $model,
                                'options' => ['class' => 'table table-striped detail-view'],
                                'attributes' => [
                                    [
                                        'attribute' => 'participant.id_participant',
                                        'captionOptions' => ['class' => 'col-xs-4'],
                                        'contentOptions' => ['class' => 'col-xs-8'],
                                    ],
                                    'participant.name',
                                    'participant.email',
                                    'email_verified:boolean',
                                    [
                                        'attribute' => 'status',
                                        'format' => 'boolean',
                                        'label' => Yii::t('app', 'Activo'),
                                    ],
                                    [
                                        'attribute' => 'isAdmin',
                                        'format' => 'boolean',
                                        'label' => Yii::t('app', 'Utilizador Admin'),
                                    ],
                                    [
                                        'attribute' => 'adminLevel.name',
                                        'label' => Yii::t('app', 'Nível de Admin'),
                                    ],
                                ],
                            ]) ?>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
