<?php

use bupy7\cropbox\Cropbox;
use kartik\helpers\Html;
use kartik\icons\Icon;

/** @var $this yii\web\View */
/** @var $model app\models\UploadPictureForm */

Icon::map($this, Icon::FA);
?>
    <div id="<?= $idWidget; ?>" class="cropbox">

        <p>
        <span class="btn btn-primary btn-file">
            <?= Icon::show('folder-open') . Yii::t('app', 'Selecionar foto') . Html::activeFileInput($model, $attribute, $options); ?>
        </span>

            <?= $model->participant->picture ? Html::a(Html::icon('trash') . ' ' . Yii::t('app', 'Eliminar foto'), ['delete-picture', 'id' =>
                $model->participant->id_participant], [
                'class' => 'btn btn-danger btn-delete-picture',
                'data' => [
                    'confirm' => Yii::t('app', Yii::t('app', 'Tem certeza de que deseja eliminar a foto?')),
                    'method' => 'post',
                ],
            ]) : '';
            ?>

            <?= Html::a(Html::icon('menu-left') . ' ' . Yii::t('app', 'Voltar'), ['index'], ['class' => 'btn default pull-right']) ?>
        </p>

        <div class="imageBox">
            <div class="thumbBox"></div>
        </div>

        <div class="cropped">
            <?php
            if (is_string($originalUrl) && !empty($originalUrl)) {
                echo Html::a(Icon::show('eye') . Cropbox::t('Show original'), $originalUrl, [
                    'target' => '_blank',
                    'class' => 'btn btn-info',
                ]);
            }
            if (!empty($previewUrl)) {
                foreach ($previewUrl as $url) {
                    echo Html::img($url, ['class' => 'img-thumbnail']);
                }
            }
            ?>

        </div>
    </div>
<?php
echo Html::activeHiddenInput($model, $attributeCropInfo);
