<?php

use app\helpers\ActiveForm;
use app\models\Participant;
use kartik\datecontrol\DateControl;
use kartik\helpers\Html;
use kartik\widgets\Select2;

/** @var $this yii\web\View */
/** @var $model Participant */

\app\assets\ParticipantAsset::register($this);
?>
<div class="row">
    <div class="col-sm-12 col-lg-12">
        <div class="participant-form">
            <div class="portlet light bordered">
                <div class="portlet-body form">
                    <?php $form = ActiveForm::begin([
                        'type' => ActiveForm::TYPE_HORIZONTAL,
                        'formConfig' => ['labelSpan' => 3],
                    ]); ?>

                    <p class="text-right">
                        <?= Html::a(Html::icon('menu-left') . ' ' . Yii::t('app', 'Voltar'), ['index'], ['class' => 'btn default']) ?>
                    </p>

                    <?= $form->field($model, 'name')->textInput(['maxlength' => true]) ?>

                    <?= $form->field($model, 'nickname')->textInput(['maxlength' => true]) ?>

                    <?= $form->field($model, 'email')->textInput(['maxlength' => true]) ?>

                    <?= $form->field($model, 'date_birth')->widget(DateControl::className(), [
                        'type' => DateControl::FORMAT_DATE,
                        'widgetOptions' => [
                            'removeButton' => false,
                            'pluginOptions' => [
                                'autoclose' => true,
                            ],
                        ],
                    ]); ?>

                    <?= $form->field($model, 'id_gender')->radioList(\app\models\Gender::find()
                        ->select(['id_gender', 'name'])
                        ->createCommand()
                        ->queryAll(\PDO::FETCH_KEY_PAIR), ['inline' => true]) ?>

                    <?= $form->field($model, 'tax_number')->textInput(['maxlength' => true]) ?>

                    <?= $form->field($model, 'id_entity_current')->widget(Select2::className(), [
                        'data' => \app\models\Entity::find()
                            ->select(['id_entity', 'name' => new \yii\db\Expression('CONCAT("ID:",id_entity,\' - \',name)')])
                            ->createCommand()
                            ->queryAll(\PDO::FETCH_KEY_PAIR),
                        'options' => ['placeholder' => ''],
                        'pluginOptions' => [
                            'allowClear' => true,
                        ],
                    ]); ?>

                    <?= $form->field($model, 'active')->switchSimNao() ?>

                    <?= $this->render('@layouts/_btnFormActions') ?>
                    <?php ActiveForm::end(); ?>

                </div>
            </div>
        </div>
    </div>
</div>
