<?php

use app\assets\UploadPictureAsset;
use bupy7\cropbox\Cropbox;
use kartik\helpers\Html;
use kartik\icons\Icon;
use yii\widgets\ActiveForm;

/** @var $this yii\web\View */
/** @var $model app\models\UploadPictureForm */

$this->title = Yii::t('app', 'Upload Foto: {nameAttribute}', [
    'nameAttribute' => "ID:{$model->participant->id_participant} - " . $model->participant->name,
]);
$this->params['breadcrumbs'][] = ['label' => Yii::t('app', 'Gerir Participantes'), 'url' => ['index']];
$this->params['breadcrumbs'][] = ['label' => $model->participant->name, 'url' => ['view', 'id' => $model->participant->id_participant]];
$this->params['breadcrumbs'][] = Yii::t('app', 'Upload Foto');

UploadPictureAsset::register($this);
$boxWidth = 500;
?>
<div class="row">
    <div class="col-sm-12 col-lg-12">
        <div class="participant-view">
            <div class="portlet light bordered">
                <div class="portlet-body form">

                    <div class="row">
                        <div class="col-md-12">
                            <?php $form = ActiveForm::begin([
                                'options' => ['enctype' => 'multipart/form-data'],
                                'id' => 'form-upload-picture',
                            ]);
                            ?>

                            <?php echo $form->field($model, 'picture')->widget(Cropbox::className(), [
                                'attributeCropInfo' => 'crop_info',
                                'pathToView' => '@app/views/participant/upload-field',
                                'optionsCropbox' => [
                                    'boxWidth' => $boxWidth,
                                    'boxHeight' => 500,

                                    'cropSettings' => [
                                        [
                                            'width' => 300,
                                            'height' => 300,
                                        ],
                                    ],
                                ],
                                'previewUrl' => [
                                    $model->participant->pictureUrl(),
                                ],
                            ])->label(false); ?>

                            <p class="edit-buttons" style="max-width: <?= $boxWidth ?>px;">
                                <?= Yii::t('app', 'Deve aumentar/diminuir o tamanho e mover a imagem de forma a ficar com o rosto a preencher o quadrado central (Tipo Passe).
No final clique em Recortar e Submeter foto') ?>
                            </p>

                            <?= Html::button(Icon::show('crop') . Yii::t('app', 'Recortar'), [
                                'class' => 'btn btn-success btnCrop edit-buttons',
                            ]); ?>

                            <?= Html::button(Icon::show('expand '), [
                                'class' => 'btn btn-default btnZoomIn edit-buttons',
                            ]); ?>

                            <?= Html::button(Icon::show('compress'), [
                                'class' => 'btn btn-default btnZoomOut edit-buttons',
                            ]); ?>


                            <div class="form-actions" id="div-submit-picture" style="display: none;">
                                <?= Html::submitButton(Yii::t('app', 'Submeter foto'), ['class' => 'btn btn-success']) ?>
                                <?= Html::a(Yii::t('app', 'Cancelar'), '', ['class' => 'btn default']) ?>
                            </div>

                            <?php ActiveForm::end(); ?>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>
</div>

