<?php

use app\helpers\ConstantsHelper;
use kartik\helpers\Html;
use rmrevin\yii\fontawesome\FA;
use yii\widgets\DetailView;

/* @var $this yii\web\View */
/* @var $model app\models\Participant */

$this->title = "ID:{$model->id_participant} - " . $model->name;
$this->params['breadcrumbs'][] = ['label' => Yii::t('app', 'Gerir Participantes'), 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="row">
    <div class="col-sm-12 col-lg-12">
        <div class="participant-view">
            <div class="portlet light bordered">
                <div class="portlet-body form">
                    <div class="row">
                        <div class="col-xs-2"><?= Html::img($model->pictureUrl(false), ['class' => 'img-participant-thumbnail']) ?></div>
                        <?= Html::a(Html::icon('pencil') . ' ' . Yii::t('app', 'Editar'), ['update', 'id' => $model->id_participant], ['class' => 'btn btn-primary']) ?>&nbsp;

                        <?= Html::a(
                            FA::i('pencil-square-o') . ' ' . Yii::t('app', 'Editar (Básico)'),
                            ['update-basic', 'id' => $model->id_participant],
                            ['class' => 'btn btn-info']
                        ) ?>&nbsp;

                        <?php if (!$model->id_login) {
                            echo Html::a(
                                FA::i('lock') . ' ' . Yii::t('app', 'Gerar Login'),
                                ['create-login', 'id' => $model->id_participant],
                                ['title' => Yii::t('app', 'Gerar Login'), 'class' => 'btn green-soft']
                            );
                        } ?>&nbsp;

                        <?php if ($model->canDelete()) {
                            echo Html::a(Html::icon('trash') . ' ' . Yii::t('app', 'Eliminar'), ['delete', 'id' => $model->id_participant], [
                                'class' => 'btn btn-danger',
                                'data' => [
                                    'confirm' => Yii::t('app', Yii::t('app', 'Tem certeza de que deseja eliminar este registo?')),
                                    'method' => 'post',
                                ],
                            ]);
                        } ?>

                        <?= Html::a(Html::icon('menu-left') . ' ' . Yii::t('app', 'Voltar'), ['index'], ['class' => 'btn default pull-right']) ?>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <?= DetailView::widget([
                                'model' => $model,
                                'options' => ['class' => 'table table-striped detail-view'],
                                'attributes' => [
                                    [
                                        'attribute' => 'id_participant',
                                        'captionOptions' => ['class' => 'col-xs-4'],
                                        'contentOptions' => ['class' => 'col-xs-8'],
                                    ],
                                    'name',
                                    'nickname',
                                    'email',
                                    [
                                        'attribute' => 'id_nationality',
                                        'value' => $model->id_nationality ? "ID:{$model->id_nationality} - {$model->nationality->name}" : null,
                                    ],
                                    'date_birth',
                                    'place_of_birth',
                                    [
                                        'attribute' => 'id_document_type',
                                        'value' => $model->id_document_type ? "ID:{$model->id_document_type} - {$model->documentType->name}" : null,
                                    ],
                                    'identification_number',
                                    'date_expiration',
                                    'tax_number',
                                    'social_security_number',
                                    'address',
                                    'city',
                                    'postal_code',
                                    [
                                        'attribute' => 'id_zone1',
                                        'value' => $model->id_zone1 ? "ID:{$model->id_zone1} - {$model->zone1->name}" : null,
                                    ],
                                    [
                                        'attribute' => 'id_zone2',
                                        'value' => $model->id_zone2 ? "ID:{$model->id_zone2} - {$model->zone2->name}" : null,
                                    ],
                                    [
                                        'attribute' => 'id_zone3',
                                        'value' => $model->id_zone3 ? "ID:{$model->id_zone3} - {$model->zone3->name}" : null,
                                    ],
                                    'phone',
                                    'phone_alternative',
                                    [
                                        'attribute' => 'id_education',
                                        'value' => $model->id_education ? "ID:{$model->id_education} - {$model->education->name}" : null,
                                    ],
                                    [
                                        'attribute' => 'id_vocational_skills_type',
                                        'value' => $model->id_vocational_skills_type ? "ID:{$model->id_vocational_skills_type} - {$model->vocationalSkillsType->name}" : null,
                                    ],
                                    [
                                        'attribute' => 'id_gender',
                                        'value' => $model->id_gender ? "ID:{$model->id_gender} - {$model->gender->name}" : null,
                                    ],
                                    'tshirt_size',
                                    'iban',
                                    [
                                        'attribute' => 'id_entity_current',
                                        'value' => $model->id_entity_current ? "ID:{$model->id_entity_current} - {$model->entityCurrent->name}" : null,
                                    ],

                                    [
                                        'attribute' => 'extra01',
                                        'visible' => ConstantsHelper::constantHasLabel('extra01'),
                                    ],
                                    [
                                        'attribute' => 'extra02',
                                        'visible' => ConstantsHelper::constantHasLabel('extra02'),
                                    ],
                                    [
                                        'attribute' => 'extra03',
                                        'visible' => ConstantsHelper::constantHasLabel('extra03'),
                                    ],
                                    [
                                        'attribute' => 'extra04',
                                        'visible' => ConstantsHelper::constantHasLabel('extra04'),
                                    ],
                                    [
                                        'attribute' => 'extra05',
                                        'visible' => ConstantsHelper::constantHasLabel('extra05'),
                                    ],
                                    [
                                        'attribute' => 'extra06',
                                        'visible' => ConstantsHelper::constantHasLabel('extra06'),
                                    ],
                                    [
                                        'attribute' => 'extra07',
                                        'visible' => ConstantsHelper::constantHasLabel('extra07'),
                                    ],
                                    [
                                        'attribute' => 'extra08',
                                        'visible' => ConstantsHelper::constantHasLabel('extra08'),
                                    ],
                                    [
                                        'attribute' => 'extra09',
                                        'visible' => ConstantsHelper::constantHasLabel('extra09'),
                                    ],
                                    [
                                        'attribute' => 'extra10',
                                        'visible' => ConstantsHelper::constantHasLabel('extra10'),
                                    ],

                                    [
                                        'attribute' => 'dietary_restriction',
                                        'format' => 'boolean',
                                    ],

                                    [
                                        'attribute' => 'dr01',
                                        'format' => 'boolean',
                                        'visible' => $model->dietary_restriction && ConstantsHelper::constantHasLabel('dr01'),
                                    ],
                                    [
                                        'attribute' => 'dr02',
                                        'format' => 'boolean',
                                        'visible' => $model->dietary_restriction && ConstantsHelper::constantHasLabel('dr02'),
                                    ],
                                    [
                                        'attribute' => 'dr03',
                                        'format' => 'boolean',
                                        'visible' => $model->dietary_restriction && ConstantsHelper::constantHasLabel('dr03'),
                                    ],
                                    [
                                        'attribute' => 'dr04',
                                        'format' => 'boolean',
                                        'visible' => $model->dietary_restriction && ConstantsHelper::constantHasLabel('dr04'),
                                    ],
                                    [
                                        'attribute' => 'dr05',
                                        'format' => 'boolean',
                                        'visible' => $model->dietary_restriction && ConstantsHelper::constantHasLabel('dr05'),
                                    ],
                                    [
                                        'attribute' => 'dr06',
                                        'format' => 'boolean',
                                        'visible' => $model->dietary_restriction && ConstantsHelper::constantHasLabel('dr06'),
                                    ],
                                    [
                                        'attribute' => 'dr07',
                                        'format' => 'boolean',
                                        'visible' => $model->dietary_restriction && ConstantsHelper::constantHasLabel('dr07'),
                                    ],
                                    [
                                        'attribute' => 'dr08',
                                        'format' => 'boolean',
                                        'visible' => $model->dietary_restriction && ConstantsHelper::constantHasLabel('dr08'),
                                    ],
                                    [
                                        'attribute' => 'dr_other',
                                        'visible' => $model->dietary_restriction,
                                    ],

                                    [
                                        'attribute' => 'image_rights_upload',
                                        'value' => $model->imageRightsFilePath() ? Html::a(
                                            Html::icon('download') . ' ' . Yii::t('app', 'Download'),
                                            $model->imageRightsUrl(),
                                            ['class' => 'btn btn-info btn-xs']
                                        ) : '',
                                        'format' => 'raw',
                                    ],

                                    'notes',
                                    'active:boolean',
                                ],
                            ]) ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
