<?php

use app\helpers\ActiveForm;
use kartik\helpers\Html;
use kartik\widgets\Select2;

/* @var $this yii\web\View */
/* @var $model app\models\search\ParticipantManagedSearch */
/* @var $form yii\widgets\ActiveForm */
/* @var $platformManager \app\models\Participant */

$this->registerCss('.event-participant-search{max-width:1100px;}');
?>

<p><h3><?= Yii::t('app', 'Gestão dos dados de utilizadores inscritos no evento:') . '<br>' . "ID:{$model->id_event} - " . $model->event->name; ?></h3></p>
<h4><?= Yii::t('app', 'Selecione a entidade a gerir') ?></h4>

<div class="event-participant-search">

    <?php $form = ActiveForm::begin([
        'method' => 'get',
        'formConfig' => ['labelSpan' => 1],
    ]); ?>

    <div class="row">
        <div class="col-sm-1" style="padding-top: 7px;">
            <?= $model->getAttributeLabel('id_entity') ?>
        </div>

        <div class="col-sm-9">
            <?= $form->field($model, 'id_entity')->widget(Select2::className(), [
                'data' => $platformManager->getEntities()
                    ->select(['id_entity', 'name' => new \yii\db\Expression('CONCAT("ID:",id_entity,\' - \',name)')])
                    ->createCommand()
                    ->queryAll(\PDO::FETCH_KEY_PAIR),
                'options' => ['placeholder' => ''],
                'pluginOptions' => [
                    'allowClear' => true,
                ],
            ])->label(false); ?>
        </div>

        <div class="col-sm-2">
            <?= Html::submitButton(Yii::t('app', 'Abrir'), ['class' => 'btn btn-info']) ?>
        </div>
    </div>

    <?php ActiveForm::end(); ?>
</div>
