<?php

use app\helpers\ActionColumn;
use app\models\Cluster;
use kartik\grid\GridView;
use kartik\helpers\Html;
use kartik\widgets\Select2;

/* @var $this yii\web\View */
/* @var $searchModel app\models\search\SkillSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = Yii::t('app', 'Gerir Profissões');
$this->params['breadcrumbs'][] = $this->title;
$gridParams = \app\helpers\IndexGridHelper::gridParams($this, Yii::t('app', 'Profissão'));
?>
<div class="skill-index">
    <div class="portlet light bordered">
        <div class="portlet-body form">

            <?= GridView::widget([
                'dataProvider' => $dataProvider,
                'filterModel' => $searchModel,
                'columns' => [

                    [
                        'attribute' => 'id_skill',
                        'headerOptions' => ['style' => 'font-size:90%;'],
                        'contentOptions' => ['style' => 'font-size:90%;'],
                        'format' => 'text',
                        'filter' => Html::activeTextInput($searchModel, 'id_skill', ['class' => 'form-control input-sm']),
                    ],
                    [
                        'attribute' => 'name',
                        'headerOptions' => ['style' => 'font-size:90%;'],
                        'contentOptions' => ['style' => 'font-size:90%;'],
                        'format' => 'text',
                        'filter' => Html::activeTextInput($searchModel, 'name', ['class' => 'form-control input-sm']),
                    ],
                    [
                        'headerOptions' => ['class' => 'col-xs-3', 'style' => 'font-size:90%;'],
                        'contentOptions' => ['class' => 'col-xs-3', 'style' => 'font-size:90%;'],
                        'attribute' => 'id_cluster',
                        'filter' => Select2::widget([
                            'model' => $searchModel,
                            'attribute' => 'id_cluster',
                            'options' => ['placeholder' => ''],
                            'size' => Select2::SMALL,
                            'pluginOptions' => [
                                'allowClear' => true,
                            ],
                            'data' => Cluster::find()
                                ->select(['id_cluster', 'name' => new \yii\db\Expression('CONCAT("ID:",id_cluster,\' - \',name)')])
                                ->createCommand()
                                ->queryAll(\PDO::FETCH_KEY_PAIR),
                        ]),
                        'value' => function ($model) {
                            if ($model->id_cluster) {
                                return "ID:{$model->id_cluster} - {$model->cluster->name}";
                            }

                            return null;
                        },
                    ],
                    [
                        'attribute' => 'notes',
                        'headerOptions' => ['style' => 'font-size:90%;'],
                        'contentOptions' => ['style' => 'font-size:90%;'],
                        'format' => 'ntext',
                        'filter' => Html::activeTextInput($searchModel, 'notes', ['class' => 'form-control input-sm']),
                    ],

                    ['class' => ActionColumn::class],

                ],
                'containerOptions' => $gridParams['containerOptions'],
                'headerRowOptions' => $gridParams['headerRowOptions'],
                'filterRowOptions' => $gridParams['filterRowOptions'],
                'responsiveWrap' => $gridParams['responsiveWrap'],
                'responsive' => $gridParams['responsive'],
                'toolbar' => $gridParams['toolbar'],
                'export' => $gridParams['export'],
                'exportConfig' => $gridParams['exportConfig'],
                'bordered' => $gridParams['bordered'],
                'striped' => $gridParams['striped'],
                'layout' => $gridParams['layout'],
            ]); ?>
        </div>
    </div>
</div>
