<?php

use app\helpers\ActionColumn;
use kartik\grid\GridView;
use kartik\helpers\Html;
use kartik\widgets\Select2;
use yii\helpers\ArrayHelper;

/* @var $this yii\web\View */
/* @var $searchModel app\models\search\VenueSectionSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = Yii::t('app', 'Gerir Eventos/Secções');
$this->params['breadcrumbs'][] = $this->title;
$id_event = ArrayHelper::getValue(Yii::$app->request->queryParams, 'VenueSectionSearch.id_event');
$gridParams = \app\helpers\IndexGridHelper::gridParams($this, Yii::t('app', 'Evento/Secção'), ['create', 'id_event' => $id_event]);
?>
<div class="venue-section-index">
    <div class="portlet light bordered">
        <div class="portlet-body form">
            <p>
                <?= $this->render('_search', ['model' => $searchModel]) ?>
            </p>

            <?php if ($id_event) : ?>
                <hr>
                <div class="row">
                    <div class="col-xs-12">

                        <?= GridView::widget([
                            'dataProvider' => $dataProvider,
                            'filterModel' => $searchModel,
                            'columns' => [

                                [
                                    'attribute' => 'id_venue_section',
                                    'headerOptions' => ['style' => 'font-size:90%;'],
                                    'contentOptions' => ['style' => 'font-size:90%;'],
                                    'format' => 'text',
                                    'filter' => Html::activeTextInput($searchModel, 'id_venue_section', ['class' => 'form-control input-sm']),
                                ],
                                [
                                    'attribute' => 'name',
                                    'headerOptions' => ['style' => 'font-size:90%;'],
                                    'contentOptions' => ['style' => 'font-size:90%;'],
                                    'format' => 'text',
                                    'filter' => Html::activeTextInput($searchModel, 'name', ['class' => 'form-control input-sm']),
                                ],
                                [
                                    'headerOptions' => ['style' => 'font-size:90%;'],
                                    'contentOptions' => ['style' => 'font-size:90%;'],
                                    'attribute' => 'id_event',
                                    'filter' => false,
                                    'value' => function ($model) {
                                        if ($model->id_event) {
                                            return "ID:{$model->id_event} - {$model->event->name}";
                                        }

                                        return null;
                                    },
                                ],

                                [
                                    'class' => ActionColumn::class,
                                    'hiddenFromExport' => true,
                                    'headerOptions' => ['style' => 'font-size:90%;'],
                                    'contentOptions' => ['style' => ['white-space' => 'nowrap'],
                                                         'class' => 'actions-column'],
                                ],

                            ],
                            'containerOptions' => $gridParams['containerOptions'],
                            'headerRowOptions' => $gridParams['headerRowOptions'],
                            'filterRowOptions' => $gridParams['filterRowOptions'],
                            'responsiveWrap' => $gridParams['responsiveWrap'],
                            'responsive' => $gridParams['responsive'],
                            'toolbar' => $gridParams['toolbar'],
                            'export' => $gridParams['export'],
                            'exportConfig' => $gridParams['exportConfig'],
                            'bordered' => $gridParams['bordered'],
                            'striped' => $gridParams['striped'],
                            'layout' => $gridParams['layout'],
                        ]); ?>
                    </div>
                </div>
            <?php endif; ?>
        </div>
    </div>
