<?php

use yii\widgets\DetailView;

/* @var $this yii\web\View */
/* @var $model app\models\VenueSection */

$this->title = "ID:{$model->id_venue_section} - " . $model->name;
$this->params['breadcrumbs'][] = ['label' => Yii::t('app', 'Evento/Secção'), 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="row">
    <div class="col-sm-12 col-lg-12">
        <div class="venue-section-view">
            <div class="portlet light bordered">
                <div class="portlet-body form">
                    <p><?= $this->render('@layouts/_btnViewActions', [
                            'canDelete' => $model->canDelete(),
                            'modelId' => $model->id_venue_section,
                            'backUrl' => ['index', 'VenueSectionSearch' => ['id_event' => $model->id_event]],
                        ]) ?></p>

                    <div class="row">
                        <div class="col-md-12">
                            <?= DetailView::widget([
                                'model' => $model,
                                'options' => ['class' => 'table table-striped detail-view'],
                                'attributes' => [
                                    [
                                        'attribute' => 'id_venue_section',
                                        'captionOptions' => ['class' => 'col-xs-4'],
                                        'contentOptions' => ['class' => 'col-xs-8'],
                                    ],
                                    'name',
                                    [
                                        'attribute' => 'id_event',
                                        'value' => $model->id_event ? "ID:{$model->id_event} - {$model->event->name}" : null,
                                    ],
                                    'notes:ntext',
                                ],
                            ]) ?>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
