<?php

use kartik\helpers\Html;
use yii\widgets\DetailView;

/* @var $this yii\web\View */
/* @var $model app\models\Zone2 */

$this->title = "ID:{$model->id_zone2} - " . $model->name;
$this->params['breadcrumbs'][] = ['label' => Yii::t('app', 'Gerir Concelhos'), 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="row">
    <div class="col-sm-12 col-lg-12">
        <div class="zone2-view">
            <div class="portlet light bordered">
                <div class="portlet-body form">
                    <p><?= $this->render('@layouts/_btnViewActions', ['canDelete' => $model->canDelete(), 'modelId' => $model->id_zone2]) ?></p>

                    <div class="row">
                        <div class="col-md-12">
                            <?= DetailView::widget([
                                'model' => $model,
                                'options' => ['class' => 'table table-striped detail-view'],
                                'attributes' => [
                                    [
                                        'attribute' => 'id_zone2',
                                        'captionOptions' => ['class' => 'col-xs-4'],
                                        'contentOptions' => ['class' => 'col-xs-8'],
                                    ],
                                    'name',

                                    [
                                        'attribute' => 'id_zone1',
                                        'value' => $model->id_zone1 ? "ID:{$model->id_zone1} - {$model->zone1->name}" : null,
                                    ],
                                    [
                                        'attribute' => 'id_organization_region',
                                        'value' => $model->id_organization_region ? "ID:{$model->id_organization_region} - {$model->organizationRegion->name}" : null,
                                    ],
                                ],
                            ]) ?>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
